Setup Wizard

Client Access License Setting Must Be Set to 5

Small Business Server is installed with a license for five (5) clients. After you install the server, you can add extra Small Business Server licenses from the To Do List. Small Business Server has a maximum of 50 client licenses.

Set the Client Access License setting to 5 and restart setup.

To change the Client Access License setting

  1. Open Control Panel and then double-click Licensing.
  2. Select Windows Server from the Product drop-down list.
  3. Change the Number of concurrent connections setting to 5 and then click OK.


22

1


Small Business Server 2000

Release Notes

December 2000

This document contains important, late-breaking information about Microsoft Small Business® Server 2000. Before installing Small Business Server, please read this entire document. It contains critical information that will help you ensure proper installation and use of the product.

© 2000 Microsoft Corporation. All Rights Reserved.

These materials are provided “as-is,” for informational purposes only.

Neither Microsoft nor its suppliers makes any warranty, express or implied, with respect to the content of these materials or the accuracy of any information contained herein, including, without limitation, the implied warranties of merchantability or fitness for a particular purpose. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you.

Neither Microsoft nor its suppliers shall have any liability for any damages whatsoever including consequential incidental, direct, indirect, special, and loss profits. Because some states/jurisdictions do not allow exclusions of implied warranties, the above limitation may not apply to you. In any event, Microsoft's and its suppliers' entire liability in any manner arising out of these materials, whether by tort, contract, or otherwise shall not exceed the suggested retail price of these materials.

CONTENTS

Before Installing Small Business / Small Business Server 2000...

Suite Requirements.

Server Upgrades.......

Installing Small Business/Small Business Server 2000..............

Connectivity....

Management Consoles........

Server Health and Monitoring

Shared Fax Service..........

Shared Modem Service..........

SQL Server 2000..............

Exchange 2000 Server............

Microsoft Connector for POP3 Mailboxes.......

Internet Security and Acceleration Server 2000...

Client Notes....

Uninstalling Applications....

Before Installing Small Business Server 2000

Download Updated Release Notes from the Web

It is recommended that you go to http://www.microsoft.com/sbserver/relnotes.htm and download an updated version of these Release Notes. The update may contain additional information critical to your installation that was not available when Small Business Server 2000 was released to manufacturing.

Before Running Setup, Fill Out the ‘Before You Begin’ Card

Before running Small Business Server 2000 Setup, fill out the Before You Begin card. Small Business Server Setup will ask you for information about your network, and the Before You Begin card ensures that you have all the necessary setup information on hand. If the Before You Begin card is not available, you can also fill out the worksheets in Appendix C of the Small Business Server 2000 Planning and Installation guide.

Latest Windows 2000 Service Packs and Updated Security Fixes

Small Business Server 2000 includes Windows 2000 Service Pack 1. Later versions of Windows 2000 Service Packs as well as security updates can be obtained from the Microsoft Web site at:
http://www.microsoft.com/windows2000/downloads/default.asp

Connect or Disable Network Adapters Before Running Setup or the Internet Connection Wizard

Windows 2000 automatically detects network adapters on a domain controller that is not connected to an active network, and assigns them a fixed IP address of 169.254.x.x. If either Small Business Server Setup or the Small Business Server Internet Connection Wizard is run while any network adapters have this IP address, some network services, such as DNS or WINS, will not be configured correctly. If this happens, you may incur networking errors.

To avoid this issue, ensure that all network adapters are either disabled or are connected to an active network segment, such as a hub or router, before running Small Business Server Setup or the Small Business Server Internet Connection Wizard.

Unplug UPS During Windows 2000 Portion of Setup

Windows 2000 hardware detection can cause some Uninterruptible Power Supplies (UPS) to switch to battery mode. This may cause setup to fail. Unplug any UPS devices during installation of Windows 2000, and then install the UPS after completing Windows 2000 Setup.

Bootable Startup Disks for DVD are Not Interchangeable with Startup Disks for CD-ROM

Both the CD-ROM version of Small Business Server and the DVD version contain a BOOTDISK directory providing users with utilities to create bootable startup floppy disks. Startup disks created for the CD-ROM version of Small Business Server, however, will not permit you to install the DVD-ROM version, or vice versa. You must create bootable startup disks from the same medium that you use for your installation.

Internet Explorer 5.0 or Later Required to View Small Business Server Tours and Online Help Topics in Windows NT 4.0

Small Business Server 2000 tours and Online Help require that Internet Explorer 5.0 or later be installed on the computer. If you attempt to open any Small Business Server 2000 tour or Online Help on a computer running Windows NT 4.0 or earlier, the following error message appears:

“Error: automation server cannot create objects.”

Download the latest version of Internet Explorer from: http://www.microsoft.com/windows/ie/

Small Business Server Setup Will Not Run on Windows 95 Without Internet Explorer 3.02 or Higher Installed To install Small Business Server 2000 on a computer running Windows 95, you must have Microsoft Internet Explorer 3.02 or higher installed.

Suite Requirements

‘Apply Windows 2000 Service Pack 1 to Windows 2000 Server Before Upgrading to Small Business Server 2000’

If you have installed an evaluation edition of Windows 2000 Server and want to upgrade to Small Business Server 2000, you must install Windows 2000 Service Pack 1 first.

To install Windows 2000 Service Pack 1, run the Sp1i386full.exe file located in the \Win2K_SP1\i386 folder of Small Business Server 2000 Disc 1.

Exchange Internet Mail Connector Installed

When upgrading from Exchange Server 5.5 to Exchange 2000 Server, you must remove the Internet Mail Connector (IMC). You should record any custom IMC configuration properties before deleting it.

To record the IMC information

1. Open Microsoft Exchange Administrator.

2. Expand Servername, expand Configuration, and then click Connections.

3. Double-click Internet Mail Service, and record the following settings:

· On the Connections tab, note whether message delivery is using DNS or if it is configured to forward all messages to host; if the latter, note the host name.

Note if the dial using checkbox is selected. If it is, note which connection is being used.

Under Specify by E-Mail domain, click E-Mail Domain. Note the domains listed.

· On the Dial-Up Connections tab (for dial-up connections only) note the dial-up schedule, and the information displayed under Mail Retrieval and Logon Information.

· On the Routing tab, note the domains listed under routing. This is typically your external domain name.

· On the Address space tab, note the entry listed under ‘Address'. This is typically listed as *.

4. After recording all this information, delete the connection named Internet Mail Service.

‘This Computer is Running an Evaluation Version of Windows 2000 Server’

If you receive this message on the Suite Requirements page of Small Business Server Setup, you have the Not for Resale version of Windows 2000 Server installed. Small Business Server cannot be installed on this version of Windows. Before you can install Small Business Server, first install a new version of Windows 2000 Server from Small Business Server Disc 1.

‘Network Properties Page is Open’

Small Business Server 2000 Setup cannot install or configure networking components if the Network Properties page is open. Close the page and restart setup.

Small Business Server Upgrade Language Mismatch

If you are running Small Business Server 4.5 in one language, you cannot upgrade to Small Business Server 2000 in a different language. For example, English Small Business Server 4.5 cannot be upgraded to German Small Business Server 2000.

Windows 2000 Server Evaluation Copy in One Language Cannot Be Upgraded to Small Business Server 2000 in a Different Language

If you are running an evaluation copy of Windows 2000 Server in one language, you cannot upgrade it to Small Business Server 2000 in a different language. For example, German Small Business Server 2000 cannot upgrade an evaluation copy of English Windows 2000.

After Upgrading to Windows 2000 Server, Session Must Be Set to ‘Install’ Mode

For you to install Small Business Server on a Windows 2000 Server running Terminal Services in Application Server mode, Windows 2000 Server must be running in ‘install’ mode to install applications on the computer. After the upgrade to Windows 2000 Server, you will receive a message stating that you need to launch setup from the Add/Remove Programs in Control Panel. To continue with setup, do one of the following:

1. Re-launch setup from Add/Remove Programs in Control Panel.

2. Change the mode of the server from 'execute' to 'install' by running change user /install from a command prompt.

Note: If setup reboots again you will receive a message that you must launch setup from Add/Remove Programs in Control Panel. In this case, perform option 2 from above and then run Small Business Server Setup using the temporary shortcut created in <Systemdrive>\Documents and Settings\All Users\Start Menu\Programs\Startup. This will re-launch setup from the place it was interrupted.

Server Upgrades

Windows 2000 Components

Configure DHCP Scope Options After Upgrading from Small Business Server 4.5 to Small Business Server 2000

DHCP scope options are not set when upgrading from Small Business Server 4.5 to Small Business Server 2000. After completing the upgrade, configure these options manually from the DHCP snap-in.

To configure DHCP Scope Options

1. Open the DHCP management console. (Click Start, point to Programs, point to Administrative Tools, and then click DHCP.)

2. In the Console Tree, expand the node that represents your DHCP server, and then expand Scope.

3. Right-click Scope Options, and then click Configure Options.

4. Under Available Options, select and configure the following options:

003 Router - For IP address, specify the IP address of your Small Business Server computer.

006 DNS - For IP address, specify the IP address of your Small Business Server computer.

044 WINS/NBNS Servers - For IP address, specify the IP address of your Small Business Server computer.

046 WINS/NBD Node Type - For Byte, specify 0x1 (type B).

5. After configuring scope options, click OK to save the changes.

DHCP Server Unreachable if IP Address is Changed During Upgrade from Windows 2000

When upgrading to Small Business Server 2000, if you change the IP address of a Windows 2000 Server computer running DHCP, you will receive an error stating that the DHCP server is unreachable when you attempt to access the DHCP snap-in.

To work around this problem

1. In the Console Tree, right-click DHCP, and then click Manage authorized servers.

2. Select your server computer in the list, and then click OK.

The new DHCP server will be added to the Console Tree. The old IP address will be shown with an error icon.

Note: Even though the old IP address still appears as a node in the Console Tree, DHCP clients are being assigned IP addresses correctly according to the scope defined for the new DHCP server.

You Must Reapply Windows 2000 Server Service Pack 2 After Setup is Complete

You currently have a Service Pack later than Service Pack 1 installed on your evaluation copy of Windows 2000 Server. Upgrading to Small Business Server will upgrade the evaluation copy of Windows 2000 Server to the full version of Windows 2000 Server with Service Pack 1. You will need to reapply your current Service Pack when Small Business Server installation is complete.

Small Business Server Unable to Resolve DNS Names

If you are installing Small Business Server 2000 on a computer running Windows 2000 Server, and that computer is configured as the root of the active directory forest but is using DNS services on a different computer, Internet Protocol (TCP/IP) Properties will be configured to point the Local Area Network (LAN) back to itself for DNS services. To correct this problem, you must manually change the IP Address for the DNS server to point to the computer that is providing DNS services.

To change the IP addresses for DNS servers

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click the icon for your Local Area Network, and then click Properties.

3. In the list of components, select Internet Protocol (TCP/IP), and then click Properties.

4. For Preferred DNS server, specify the IP address for the computer that is providing DNS services.

5. Click OK to save your changes.

6. Close the Local Area Connection Properties page.

Error Message: ‘DNS cannot be configured for Domain <YourDomain>, but DNS Service Has Been Successfully Installed. Error: DNS Zone Already Exists’

This error appears if you have already configured DNS on Small Business Server 4.5 and have specified the same domain name during Small Business Server 2000 Setup. It is expected behavior. If you see this message, click OK to continue with setup. DNS will function properly.

WINS Behavior on Small Business Server 2000 with DHCP Installed

If you upgrade a Windows 2000 computer that is running DHCP Server without Windows Internet Naming Service (WINS) to Small Business Server 2000, setup will not install WINS. Rather, it will configure the Internet Protocol (TCP/IP) properties to point to the computer's internal static IP address. In this scenario, you can either clear the WINS IP address in the network settings, or install WINS.

To clear the WINS IP address

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click your internal connection, and then click Properties.

3. Select Internet Protocol (TCP/IP), click Properties, and then click Advanced.

4. Click the WINS tab, select the IP address listed, and then click Remove.

5. Click OK in each open dialog box.

To install a WINS server

1. Click Start, point to Settings, and then click Control Panel.

2. Double-click Add/Remove Programs, and then click Add/Remove Windows Components.

3. Under Components, click Networking Services.

4. Click Details.

5. Under Subcomponents of Networking Services, click Windows Internet Name Service (WINS), and then click OK.

If you install Small Business Server 2000 on a network that already has a computer running DHCP, WINS will be installed on the Small Business Server computer. Since DHCP is running on another computer, the WINS entry is not added to network settings.

To add the WINS IP address to network settings

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click your internal connection, and then click Properties.

3. Select Internet Protocol (TCP/IP), click Properties, and then click Advanced.

4. Click the WINS tab, and then click Add.

5. Type the IP address for the WINS server, and then click Add.

6. Click OK in each open dialog box.

Small Business Server Setup

Small Business Server Administration Sub-Component Fails to Install if There is no Web Site 1 in the Metabase

If you do not have a Web site in your metabase when you run Small Business Server Setup, the administration sub-component will fail to install. To address this issue, complete setup and then create a new Web site with the Internet Information Services snap-in in the Small Business Server Administrator Console. When this Web site is created, restart Small Business Server setup in Maintenance mode, and select to re-install the administration sub-component.

Note: The administration component is a sub-component of the Small Business Server component.

To create a new Web site

1. In the Small Business Server Administrator Console, expand the Internet Information Services snap- in.

2. Right-click Your Computer, point to New, and then click Web Site.

3. Follow the on-screen instructions to complete the Web Site Creation Wizard.

Small Business Server Upgrade Language Mismatch

If you are running Small Business Server 4.5 in one language, you cannot upgrade to Small Business Server 2000 in a different language. For example, English Small Business Server 4.5 cannot be upgraded to German Small Business Server 2000.

Error When Using Setup to Change the Install Action for a Component

When attempting to change the install action for a component, if you encounter a problem on the Component Selection page of setup, perform one of the following workarounds:

· If you have made changes for other components, complete setup so that you do not lose the changes, then correct the problem, and then re-run setup to complete the action for the component that created the install problem.

· If you have not made changes to other components, cancel setup, correct the problem, and then re-run setup to perform the action for the component that created the install problem.

SQL Server 2000

SQL Server 7.0 OLAP with Service Pack 2 Cannot be Upgraded to Analysis Services via BackOffice Server Setup

If you are running SQL Server 7.0 OLAP with Service Pack 2, you cannot upgrade to Analysis Services using BackOffice Server setup. To upgrade to Analysis Services, you must run native SQL Server setup from BackOffice Server Setup Disc 2 and install Analysis Services manually.

SQL Server 2000 and English Query Install in Default Directories Even If Installation Path is Changed

When upgrading to BackOffice Server 2000, SQL Server 2000 and English Query will be installed to their default directories even if you change the installation path. This does not affect the functionality of SQL Server or English Query.

MSSQLSERVER Service Must Be Running Before Upgrading to Small Business Server 2000

If SQL Server 2000 is already installed on a computer that will be upgraded to Small Business Server 2000, start the MSSQLSERVER service before running Small Business Server 2000 Setup. Otherwise, setup may fail.

Restart After Applying Service Packs for SQL 7.0 or English Query

If you are installing Service Packs on SQL Server 7.0 or English Query, before upgrading to SQL Server 2000, you should restart the computer upon conclusion. This ensures that all Service Pack updates and file changes have occurred before running BackOffice Server 2000 setup.

Upgrading SQL Server 2000 Evaluation Version to SQL Server 2000 Standard Version

When upgrading from the evaluation (time-bombed) version of Small Business Server 2000 to the standard (full) version of the product, set the install action for SQL Server 2000 to “Upgrade.” Otherwise, the SQL Server 2000 time bomb will not be removed.

Critical Error Message: ‘Could Not Open File SQLCTR60.DLL’

When installing the SQL Server 6.5 Service Pack 5 component during setup, the following critical error message may appear:

“A critical error has occurred.

Could not open the file named:

‘<drive>:\MSSQL\BINN\SQLCTR60.DLL’ ”

If you encounter this error, click Retry. The file will be added the next time the computer is restarted.

Innocuous Event Viewer Errors Occur When Not Upgrading to SQL Server 2000

Not upgrading to SQL Server 2000 from a Small Business Server 4.5 computer running SQL Server 7.0 will cause application event errors that will not affect the SQL Server application. Some of these errors occur when Performance Monitor counters are not properly implemented by the open applications that are running.

The following event viewer errors are innocuous

Source Event ID Description

SQLCTR70 1001 SQL Performance DLL Open function.

SQLCTR70 1001 Shared Memory Segment

Perflib 1008 Open Procedure for service MSSQLServer

To resolve this issue, you can either install Service Pack 2 for SQL Server 7.0, or upgrade to SQL Server 2000.

World Wide Web Publishing Service May Not Restart After ISA Server Installation

The World Wide Web Publishing Service (W3SVC) may not restart after Internet Security and Acceleration (ISA) Server is installed. Before starting this service, ensure that you have not configured the Web publishing service to use port 8080, because ISA Server uses this port.

Autodial Settings Are Not Migrated When Upgrading Proxy Server 2.0 to ISA Server

Autodial and Dial-on-Demand settings are not migrated when upgrading from Proxy Server 2.0 to ISA Server 2000. After completing the upgrade, you can reconfigure this functionality by running the Small Business Server Internet Connection Wizard.

After Upgrading to Small Business Server 2000, Microsoft Search Service May Not Start Automatically

After upgrading from Small Business Server 4.5 to Small Business Server 2000, the Microsoft Search Service may need to be manually started and then set to start automatically.

To start the Microsoft Search Service and set it to start automatically

1. Click Start, point to Programs, point to Administrative Tools, and then click Services.

2. Right-click Microsoft Search, and then click Properties.

3. From the Start type list, select Automatic, and then click Start.

4. When the service has started, click OK.

Microsoft Exchange Server

Do Not Overwrite Dll Files When Upgrading from Exchange 5.5 with Service Pack 4 to Exchange 2000 Server

During Small Business Server 2000 Setup, when upgrading Exchange 5.5 with Service Pack 4 to Exchange 2000 Server, you may be asked to overwrite existing Exchange .dll files. To prevent the .dll files from being overwritten, click No or Do not overwrite all. Overwriting the .dll files causes setup to fail.

If Exchange 5.5 Upgrade Fails You Must Run Disaster Recovery to Re-run Setup

If the upgrade from Exchange Server 5.5 to Exchange 2000 Server fails, to run Exchange 2000 Setup again, you must run Exchange 5.5 disaster recovery.

Only Previously Installed Exchange Server Components Can be Upgraded

When upgrading Small Business Server 4.5 to Small Business Server 2000, you will only be able to upgrade Exchange Server components previously installed on the server computer. If you want to install new Exchange Server 2000 components, complete the upgrade, and then run Small Business Server 2000 Setup in Maintenance mode to install the new components.

Message: ‘A Valid Ordering Could Not Be Found’

When upgrading to Small Business Server 2000, if the following conditions are true, a message appears stating “A Valid Ordering Could Not Be Found”:

· Exchange Server 5.5 is installed on the server computer.

· Small Business Server 2000 is installed without SMTP service or Exchange 2000 Server.

· You are re-running Small Business Server Setup in maintenance mode to upgrade to Exchange 2000 Server.

To address this message, on the Component Selection page of Small Business Server Setup, set the action to Install for the Internet Information Services (IIS), SMTP Services component.

Numerous Event Viewer Errors Following Upgrade to Exchange 2000 Server

After you upgrade Exchange Server 5.5 to Exchange 2000 Server, you may receive numerous Event Viewer errors because old performance counters from Exchange 5.5 are attempting to load. To correct this problem, manually install the counters associated with the Exchange Database Engine.

To manually install Exchange Database Engine counters

· At the command prompt, change to the Exchsrvr\Bin folder, type lodctr eseperf.ini, and then press Enter.

For more information about this issue, refer to Knowledge Base article Q273177 at:
http://support.microsoft.com/support/kb/articles/Q273/1/77.ASP

Exchange LDAP Event Log Error 10048

After upgrading to Exchange 2000 Server, the following error may appear in the Application event log:

“Source MSExchangeDS

Category: LDAP Interface

Description: Register LDAP Port Failed with error 10048. The LDAP SSL Server is not available. Make sure port number 636 is not in use by another application”

This was an issue when running Exchange 5.5 on a Windows 2000 Server domain controller. If you have upgraded to Exchange 2000 Server, you may safely disregard this error.

SBSETRN.exe Mail Connections are Not Compatible with Small Business Server 2000

Small Business Server 4.5 mail connections using Sbsetrn.exe to download mail from an ISP are no longer supported in Small Business Server 2000. Before upgrading to Small Business Server 2000, contact your ISP to determine what other mail download options are available to you.

Small Business Server

Re-distributable Components May Require Windows 2000 Service Pack 1

Some of the re-distributable components included with Small Business Server 2000 require Windows 2000 Service Pack 1, which is automatically installed by Small Business Server Setup. If you plan to install any of these components on a Windows 2000 Server or Windows 2000 Professional computer outside of Small Business Server Setup, before doing so, make sure that Windows Service Pack 1 is installed on the computer.

Installing Small Business Server 2000

Windows 2000 Components

Manual Logon Required After Computer Restarts Following Configuration of Domain Controller

After the domain controller configuration phase of Small Business Server Setup, the computer will restart, and you will be required to manually log on to the computer. This is true even if you selected Automatically log on during setup. Additionally, if you cancel setup, you may be required to log on to the computer manually even though you selected automatic log on.

Note: Password information is not stored on the computer when automatic log on fails.

Setup Blocked by Duplicate IP Addresses in Multiple Network Adapter Configuration

If you are installing Small Business Server 2000 on a computer with two network adapter cards, you may receive a blocking message from Small Business Server Setup indicating that the static IP address you have chosen for your internal network adapter is already in use. This can result when a computer on the external network (the network that your external adapter in on, such as your ISP) has the same IP address that you have chosen for your internal network adapter. Disable the external network adapter card and you will be able to continue with setup.

Event Messages During Setup: ‘DNS Bad Key Error’

After restarting Small Business Server during setup, there may be multiple event log error messages from the net logon service referring to “DNS bad key error.” This message can safely be ignored at this time. For more information about these events, refer to Knowledge Base article Q259277 at:
http://support.microsoft.com/support/kb/articles/Q259/2/77.ASP

Event ID 1002 ‘The DHCP Service Failed to Initialize its Global Parameters. The Following Error Occurred: %%0’

After completing setup, this event can appear in an event log when the DHCP Server service attempts to impersonate an account to prevent domain hijacking by way of a Dynamic Domain Name Services (DDNS) update. You can safely ignore this message because DDNS updates are disabled during installation of Small Business Server 2000.

For additional information about this and related event messages, or if you plan to enable DDNS updates, refer to the Microsoft Knowledge Base (KB) article Q255134 located at:
http://support.microsoft.com/support/kb/articles/Q255/1/34.ASP

Windows 2000 Service Pack 1 May Disable BlackICE And ZoneAlarm Firewall Software

Installation of Windows 2000 Service Pack 1 may disable the firewall programs BlackICE from Network ICE, and ZoneAlarm from Zone Labs. Updates that correct this problem are available from the manufacturer’s Web sites.

Small Business Setup

Message Following Installation: ‘Setup is Loading Installation Components’

When your Small Business Server 2000 computer restarts after completing installation, you may see a message stating, “Setup is loading installation components. This may take a minute or two” along with the post-installation To Do List. Setup is not re-running on your system. This message runs in the background and will remain open while you complete the items on the To Do List.

SQL Server 2000

SQL Server Service Account Selection During Setup

If you are installing SQL Server 2000 as part of the Small Business Server 2000 Setup, you will be asked to assign a service account to SQL Server. Unless you have special circumstances, it is recommended that you do not assign this service account. Not assigning a service account enables Server 2000 to run as localsystem account, which is sufficient for most installations.

Accounts you specify should be in the Domain\User format.

Warning: Specifying a non-existent account will cause SQL Server Setup to fail because Small Business Server Setup will not validate the account.

Microsoft Exchange Server

Message: ‘Microsoft Exchange Messaging and Collaboration Services Depends on Microsoft Exchange Domain Preparation, Which Has an Install Problem’

Before installation of Exchange 2000 Server, setup attempts to update the Active Directory schema. The Exchange 2000 Server DomainPrep utility is run once per domain to identify the address list server and set permissions within the domain. To successfully update the Active Directory schema, you must be logged on with an account that has Schema Administrator privileges. If you are not logged on with an account that has these privileges, the following message appears:

"Microsoft Exchange Messaging and Collaboration Services depends on Microsoft Exchange Domain Preparation, which has an install problem.”

Work around the problem by running Small Business Server 2000 Setup while logged on as a user with Schema Administrator privileges.

Alternatively, you can run the Microsoft Exchange Domain Preparation utility manually by following the steps below [BOS Only]. You can run DomainPrep on any computer running Windows 2000 Server in the domain.

To run the Exchange 2000 Server DomainPrep utility manually

1. Insert Small Business Server 2000 Server Disc 3 into your disc drive.

2. From a command prompt, type <drive>:\EXCHSRVR60\setup\i386\setup /DomainPrep, where <drive> is your disc drive.

3. On the Welcome page, click Next.

4. On the End User License Agreement (EULA) page, read the EULA. If you agree to the terms, click I agree, and then click Next.

5. On the Recipient Update Server page, type the name of the computer that will be your Exchange Recipient Update server for this domain. This computer must not be installed yet, but a computer account must exist in the Active Directory Users and Computers snap-in. When you install the first instance of Exchange in this domain, it must use the computer account that you enter in this step. Click Next.

6. On the Completion page, click Finish.

Installation of Microsoft Exchange System Management Tools Fails if CD Not in Disc Drive

If you are running Small Business Server Setup to install only the Microsoft Exchange System Management Tools component of Exchange 2000 Server, be sure that Disc 3 is seated in the disc drive before clicking Next on the Installation Summary page of setup. If the disc is not already in the disc drive, installation of the tools will fail.

Exchange System Management Tools Fail to Install

If Small Business Server Setup is unable to stop the IIS Admin Service, the Exchange System Management Tools will fail to install. To correct this problem, rerun Small Business Server Setup, and select to install the Exchange System Management Tools component again.

Service Packs

Cannot Install Service Pack if High Encryption Pack is Installed on Windows NT Server 4.0

If you encounter an error during Service Pack installation on Windows NT Server 4.0 that Internet Explorer High Encryption Pack or Internet Explorer 5.01 or later is already installed, perform one of the following:

Internet Explorer 5.01 or earlier

1. At the command prompt, type RunDll32 advpack.dll,LaunchINFSectionC:\WINNT\INF \ie5dom.inf,Uninstall,5, where C:\WINNT represents the system root.

2. In the \WINNT\SYSTEM32\ folder, rename the Schannel.dll file to Schannel.old.

3. Copy the Schannel.dll file from the Service Pack disc to the \WINNT\SYSTEM32 folder.

4. Restart Windows NT Server 4.0.

5. Delete the Schannel.old file in the \WINNT\SYSTEM32\ folder.

6. Install the applicable Service Pack, and then restart the computer.

7. Re-install High Encryption Pack.

Internet Explorer Service Pack 1 or later

1. Uninstall Internet Explorer.

2. In the \WINNT\SYSTEM32\ folder, rename the Schannel.dll file to Schannel.old.

3. Copy the Schannel.dll file from the Service Pack disc to the \WINNT\SYSTEM32 folder.

4. Restart Windows NT Server 4.0.

5. Delete the Schannel.old file in the \WINNT\SYSTEM32\ folder.

6. Install the applicable Service Pack, and then restart the computer.

7. Re-install Internet Explorer.

For more information, refer to Knowledge Base article Q250867

Connectivity

Unable to Join Domain on Windows NT 4.0 and Windows 2000 Client Computers

Client computers running Windows NT 4.0 Workstation or Windows 2000 Professional may be unable to join the Small Business Server domain under these scenarios:

· When running client setup after being a member of another domain.

· After rebuilding the Small Business Server computer.

· After migrating Small Business Server from one computer to another.

To work around this issue, remove the Windows NT 4.0 or Windows 2000 client computers from domain membership.

To remove Windows NT 4.0 client computers from domain membership

1. On the desktop, right-click Network Neighborhood, and then click Properties.

2. Click the Identification tab, and then click Change.

3. In the Identification Changes dialog box, under Member of, select Workgroup, and then specify a temporary name for the workgroup.

4. Click OK to save your changes.

To remove Windows 2000 client computers from domain membership

1. On the desktop, right-click My Computer, and then click Properties.

2. Click the Network Identification tab, and then click Properties.

3. On the Identification Changes dialog box, under Member of, select Workgroup, specify a temporary name for the workgroup, and then click More.

4. On the DNS Suffix and NetBIOS Computer Name dialog box, clear the entry for the primary DNS name of the computer, and then click OK.

5. On the Identification Changes and System Properties dialog box, click OK.

After removing computers from domain membership

1. On the client computers, release the IP address, and then flush the DNS cache by doing the following:

At the command prompt, type ipconfig /release, and then press Enter. This will release the IP address of the client computer.

At the command prompt, type ipconfig /flushdns.

2. Run client setup.

DNS Server Required for Networking Services

For Small Business Server networking services to function correctly, the DNS Server Service must be running on the Small Business Server computer. If you disable the DNS Server Service, you will experience problems with your network.

Small Business Server Internet Connection Wizard Default Recipient Policy May Override Custom Mail Policies

If you have customized the Reply address in Exchange 2000 Server for a user's SMTP e-mail account and then run the BackOffice Server Internet Connection Wizard, the customized setting may be overridden. For example, if you have set a user's reply address to user@microsoft.com and then run the BackOffice Server Internet Connection Wizard and configure the Internet mail domain as domainname.com, the user's reply to address will be changed to user@domainname.com. This scenario is likely to occur if you are using the Microsoft Connector for POP3 Mailboxes, and have added custom e-mail addresses to your POP3 users.

To correct this issue

1. Open the Small Business Server Administrator Console (click Start, and then click Small Business Server Administrator Console).

2. Expand the Active Directory Users and Computers node, expand the node for your domain, and then click Users.

3. In the list of users, right-click the affected user, and then click Properties.

4. Click the E-mail Addresses tab, select the SMTP address with the custom setting, and then click Set As Primary.

5. Click OK to save your changes.

DC Locator Records Sent to Internet Service Provider

In Windows 2000, the DNS server computer will attempt to send DC Locator records out through the external network connection to your ISP on a regular basis. This will result in added network traffic to your ISP, and could pose a security risk if the information is misused. This is a known issue with Windows 2000 that will be fixed in Service Pack 2.

A supported patch that corrects this problem is now available from Microsoft, but it has not yet been fully tested and should be applied only to computers that are experiencing this specific problem. If you are not affected by this specific problem, it is recommended that you wait for Windows 2000 Service Pack 2.

For more information, refer to Knowledge Base article Q265395 at:
http://support.microsoft.com/support/kb/articles/q265/3/95.ASP

Small Business Server Internet Connection Wizard Does Not Configure Content or Protocol Filtering

The Small Business Server Internet Connection Wizard configures Internet Security and Acceleration (ISA) Server 2000 to provide IP packet filtering. The wizard does not configure content or protocol filtering on ISA Server. For information on configuring those security settings, refer to ISA Server documentation.

Internet Explorer Unable to Find a Connection

After you run the Small Business Server Internet Connection Wizard, an error stating that ’Internet Explorer was unable to find a connection’ may appear if you run Internet Explorer from the Small Business Server computer using a dial-up connection. To resolve this problem, click Try Again.

Restart Services if Changes are Made to Dial-up Connection Properties

If you have configured ISA Server 2000 to use a dial-up connection to connect to your ISP, and you then make changes to the properties of that dial-up connection, you will need to restart the Microsoft Web Proxy Service and Microsoft Firewall Service.

Management Consoles

Migrate User Wizard Cannot Create Mailboxes When Logon Name Contains Only DBCS Characters

If you run the Migrate User Wizard attempting to migrate user accounts that use strictly DBCS characters, Exchange mailboxes may not be created for those users. You can, however, manually create mailboxes using the Active Directory Users and Computers snap-in, located in the Small Business Server Administrator Console.

To manually create an Exchange mailbox

1. Click Start, and then click Small Business Server Administrator Console.

2. In the Console Tree, expand Active Directory Users and Computers, expand your domain, and then click Users.

3. Right-click a user account in the Details Pane, and then click Exchange Tasks.

4. If this is the first time you have run the Exchange Task Wizard, select Do not show this Welcome Page again if desired, and then click Next.

5. Select Create Mailbox, and then click Next.

6. Fill in the required information, and follow the on-screen instructions to complete the wizard.

Note: Perform these steps for each mailbox you need to create.

Server Health and Monitoring

Configure SMTP Service to Relay E-Mail Alerts from Health Monitor 2.1

For Health Monitor to send e-mail alerts, SMTP service needs to be properly configured to relay e-mail from Health Monitor.

To configure e-mail relay in Exchange Server, do one of the following:

· Run the Small Business Server Internet Connection Wizard.

-Or-

· Perform the following steps:

1. Open the Small Business Server Administrator Console.

2. In the Console Tree, expand the Server (Exchange) node, expand Servers, expand Servername, expand Protocols, and then expand SMTP.

3. Right-click Default SMTP Virtual Server, and then click Properties.

4. Click the Access tab, and then click Relay.

5. Click Add, type the IP address of the computer where Health Monitor is installed, and then click OK.

Note: It is recommended that you add the IP address for each network adapter.

6. Click OK to close all open dialog boxes.

Close and then Re-open Server Status View to Reconnect Interfaces lingansStopping and starting Windows Management Instrumentation (WMI) may disconnect some interfaces to the Server Status View. To re-establish these interfaces, close and then re-open the Server Status View.

Update Health Monitor Thresholds to Reflect Your Network Monitoring Needs

The default counter thresholds provided with Health Monitor 2.1 are sample counters. You should establish a baseline for your network configuration and update the threshold values accordingly. In particular, the default values for Page faults/sec and Processor queue length need to be addressed.

Shared Fax Service

All Users Have Access to Fax Printer After Upgrade

After an upgrade, all members of the Domain Users security group have permission to fax documents regardless of what fax permissions they had prior to the upgrade. For information about assigning permissions to security groups, refer to the topic “Using Security Groups to Control Access to Resources” in Small Business Server 2000 Online Help.

Not All Modems Support Adaptive Answering

Adaptive answering enables a fax device to identify whether incoming calls are fax or data calls. Using the Shared Fax Service Manager console, you can choose to enable this functionality on the Properties page of each fax device. It should be noted that although you can enable this option for all devices, adaptive answering would only be enabled for modems that support this feature.

Windows 2000 Personal Fax Can Receive Inbound Fax Transmissions

Windows 2000 Personal Fax can be configured with a higher transmission priority than the Shared Fax Service application included with Small Business Server. To avoid confusion, you should either disable Windows 2000 Personal Fax or the Receive setting.

Asian Characters Not Displayed for Shared Fax Services Cover Page

When you send a fax with a cover page and use Asian characters from an English-only version of Shared Fax Service, the Asian characters are not correctly displayed.

To change the fax cover page to display an Asian language

1. Open the BackOffice Server Management Console.

2. Expand the Microsoft Shared Fax snap-in, and then click Cover Pages.

3. In the Details Pane, right-click the cover page you want to modify and then click Edit.

4. Click OK for the Cover Page Editor Tips.

5. To modify the default font for the cover page, click Select All from the Edit menu, click Font from the Format menu, and then select the appropriate language font. Click OK.

6. To save the modified cover page, select Save As from the File menu, name the file, and save the template in the default folder \\ Documents and Settings\All Users\Documents\Microsoft\Shared Fax\Common Cover Pages.

7. Quit the Fax Cover Page Editor.

Note: The computer must be configured to read and write documents in multiple languages. To install additional languages, open Regional Options in Control Panel.

Upgrading the Shared Modem Client

Upgrading the Shared Modem Client removes all existing modem sharing ports on the computer. To reestablish the modem sharing ports, refer to the Microsoft Shared Modem Service Client Help in <system drive>\Program Files\Microsoft Shared Modem\Clients\Platform.

Reinstall Shared Fax Service if the Fax Printer is Deleted

When Shared Fax Service is installed on a server computer, a fax printer is created. If this fax printer is deleted for any reason, you must reinstall Shared Fax Service to create a new fax printer.

Shared Fax Service Unable to Detect Some ISDN Modems

Microsoft Shared Fax Service cannot detect or use ISDN modems that do not emulate analog modems. To enable Shared Fax Service to work with ISDN modems of this type, Fax Service Provider software must be installed on the computer. If your ISDN modem does not work with the Shared Fax Service, check with your ISDN modem supplier for the availability of Fax Service Provider software that works with Microsoft Shared Fax Service.

Windows 95 Client Computers May Need to Install a .tif Viewer to View Faxes

To view sent and received faxes on a Windows 95 computer, you must have an application installed that can open files with a .tif file extension. For example, both Kodak Imager and Adobe Acrobat can view .tif files.

Selecting ‘Store in a Folder’ as an Incoming Method

When selecting Store in a folder as the incoming method for a specific device, or as the global method for incoming routing, the computer account must have access rights to the folder specified. It is not sufficient for the local user to have access rights to the folder.

Support in Send Fax Wizard for Languages Other Than the Default System Locale Language

When sending a fax using the Send Fax Wizard on a Windows 2000 client computer, if you enter an address from the Windows Address Book with characters in a language other than that of the default system locale, the characters will appear as question marks ("?") in the To field. This occurs because Shared Fax Service does not support Unicode for this entry. For recipient names to appear correctly in the To field, you must change the system locale to one that represents the language of the recipient, before you select a recipient from the address book. For example, if the system locale is English (United States) and you want to include the name of a recipient that appears in Japanese, you must change the system locale to Japan.

To change the system locale

1. Click Start, point to Settings, and then click Control Panel.

2. Double-click Regional Options.

3. Click Set Default, and then select the appropriate system locale.

4. To close the Select System Locale dialog box and Regional Options properties page, click OK.

Sending a Fax from Outlook, Using Both E-mail Addresses and Fax Numbers

When you use Shared Fax Service to send a fax from Outlook, if the fax has both an e-mail address and a fax number, you will receive a message stating that the e-mail cannot be sent because the e-mail address is incorrect. However, the fax was submitted and sent successfully. This issue will be resolved in a future Exchange 2000 Service Pack..

Do Not Select a Separator Page for the Shared Fax Printer

A separator page must not be selected for the Shared Fax printer, even though this option is available. If you elect to use a separator page, Shared Fax Service will not be able to send faxes until the option is turned off.

Non-Textual Content Cannot Be Copied and Pasted into Microsoft Outlook Fax Documents

You cannot use Shared Fax Service to send a fax from Outlook that includes non-textual content, such as graphics and tables that have been copied and pasted into the fax document. Rather, save the non-textual content to a file and attach it to the Outlook document.

Microsoft Outlook Should Be Configured as the Default Mail Client

If Outlook is not installed as the default mail client, the address book displayed by the Send Fax Wizard will be the Windows Address Book. Outlook is not configured as the default mail client unless the user specifies that option when Outlook is opened for the first time on the client computer.

To configure Microsoft Outlook as your default mail client

1. Start Microsoft Internet Explorer.

2. Open the Internet Options properties page, as follows:

· In Microsoft Internet Explorer versions 3.x, or 4.x, on the View menu, click Internet Options.

· In Microsoft Internet Explorer 5.0 or later, on the Tools menu, click Internet Options.

3. Click the Programs tab, select Microsoft Outlook in the Mail or E-Mail list, and then click OK.

‘Print Directly to Option’ Not Supported by Shared Fax Printer

A Shared Fax printer does not support the Print directly to printer option in printer properties. You must set printer properties to the Spool print documents so program finishes printing faster option.

To change the printer properties

1. Click Start, point to Settings, and then click Printers.

2. Right-click the Shared Fax printer icon, and then click Properties.

3. Click the Advanced tab, select Spool print documents so program finishes printing faster, and then select one of the sub-options.

4. Click OK.

Printing a Document to the Shared Fax Printer as it is Displayed in Microsoft Word 2000

When sending a fax (printing) to the Shared Fax Printer, the resulting fax document layout is displayed differently than the Word 2000 document. You can change a setting in Word to print a document as it is displayed.

To print a Word 2000 document as it is displayed

1. In Word, on the Tools menu, click Options.

2. Click the Compatibility tab, and then select Use printer metrics to lay out document from the Options list.

3. Click OK.

Can't Use 'Mail To' Feature if Outlook is Not Configured

From the Small Business Server computer, you will be unable to send a received fax as e-mail unless you have configured Outlook on the Small Business Server computer. To send a received fax as e-mail, right-click a received fax and then click Mail to.

Shared Fax Service Modem Unavailable

If you are unable to send or receive faxes with a modem in use by the Microsoft Shared Fax Service, one of the following may resolve the issue:

· Turn the modem off and then on, without stopping Shared Fax Service.

-or-

· Stop Shared Fax Service, turn the modem off and then back on, and then restart Shared Fax Service.

Shared Modem Service

Install Service Pack 2 to Replace Modem.sys

To use a Windows 2000 Professional Modem Sharing Service client with tone dialing, you must first download and install Windows 2000 Service Pack 2. For more information, refer to Knowledge Base article Q263643 at
http://support.microsoft.com/support/kb/articles/Q263/6/43.asp

After Upgrade, Modem Sharing Client Does not Automatically Detect the Shared Modem

After upgrading to Small Business Server 2000, some clients may not be able to detect the shared modem on the Small Business Server computer. To address the issue, perform the following steps.

On the server

1. From the Services snap-in, stop the Shared Modem Service.

2. Update the modem driver to a Windows 2000 Server-compatible driver.

3. From the Shared Modem Service applet in Control Panel, add a modem to the desired modem pool.

4. From the Services snap-in, start the Shared Modem Service.

On the client

1. Open Control Panel, double-click the Modems applet, and then remove the Small Business Server 4.5 shared modem.

2. Install Modem Sharing Client on the Small Business Server client computer.

3. Configure the client to use the modem pool on the server:

· For Windows 9x clients, go to MS Shared Modem Service Client in Add/Remove Programs and then select "Add a Shared Modem Service Port."

· For Windows NT Workstation 4.0 and Windows 2000 Professional clients, run "netmodem use * \\servername\poolname"

4. Open Control Panel, and then double-click the Modems applet.

5. Add a modem, and try to detect it automatically.

Virtual Port Does Not Appear in List of Available Ports in Install New Modem Wizard

If a virtual port mapped to a modem pool is busy, the virtual port will not appear in the list of available ports in the Install New Modem Wizard. A pool is considered busy when all of the ports in it are in use. This issue only applies to the Windows 2000 Modem Sharing client.

To avoid this issue, do not attempt to install a modem on a virtual port for a Windows 2000 Modem Sharing client if it is mapped to a modem pool that is busy.

Removing the Shared Modem Service may not removed Shared Modem Service Icon from Control Panel

Removing the Shared Modem Service Server may remove the Shared Modem Service applet from Control Panel.

The applet can be manually removed by deleting the file modemshr.cpl from the winnt\system32 directory. If the file cannot be deleted because it is being used by another process (for example, explorer.exe), restart your computer and try to remove the file again.

Do Not Install Microsoft Shared Modem Service and Modem Sharing Client on the Same Computer

A Modem Sharing Client must not be installed on a computer that is running Microsoft Shared Modem Service. Installing both components together results in unstable components.

Exchange 2000 Server

Exchange 2000 Server Release Notes

For further information about Exchange 2000 Server, refer to the Exchange 2000 Server Release Notes located in the \EXCHSRVR60 directory on Small Business Server 2000 Setup Disc 3.

The 'Synchronize Mail' Task Will Run on the Next Piece of Outgoing Mail

On the Small Business Server Administrator Console, when you select the Servername (Exchange) snap-in, and on the Small Business Server Personal Console when you select E-mail, there is a taskpad task called Synchronize Mail. Clicking this task triggers Exchange 2000 Server to send any mail that is waiting in the Outside Delivery queue. If there is no mail in the queue, the trigger will be set to send mail the next time e-mail arrives in the queue for outside delivery.

Additionally, if you have configured your SMTP connector to use a scheduled ETRN or TURN signal to retrieve mail from your ISP, that ETRN or TURN signal will be sent at the same time the outbound mail is being sent, regardless of the delivery schedule that has been defined.

Configure the Postmaster Address to Receive Non-Delivery Reports and Undeliverable E-mail

If your Internet domain name is not identical to your Active Directory domain name, you must configure the postmaster address. The postmaster address allows users who receive non-delivery reports to reply to a designated postmaster to report delivery failure or seek assistance. You will need to configure the postmaster address in both a clean installation and an upgrade.

Note: Exchange Server automatically configures a postmaster address for the Administrator account during setup. If you want the administrator to receive postmaster mail, you must modify this account. If the Administrator account is not the designated recipient for postmaster mail, delete the postmaster address entry.

To configure the postmaster address

1. From the Small Business Server Administrator Console, expand the Active Directory Users and Computers snap-in, expand the node that represents your server computer, and then click Users.

2. Right-click the user account you want to receive postmaster mail, and then click Properties.

3. Click the E-Mail Addresses tab, and then click New.

4. Under E-mail address type, select SMTP Address, and then click OK.

5. Type the e-mail address for the postmaster. For example, postmaster@<domain> where <domain> is the domain name for your organization.

6. Click OK, and then close the Administrator Properties dialog box.

Unable to Resolve Exchange Server Alias When Client Language Differs from Server Language

You are unable to resolve an Exchange 2000 Server e-mail alias when the client language differs from the server language. To resolve the problem:

1. On the server computer, open Control Panel, and then double-click Regional Options.

2. In the list of language settings for the system, select all applicable languages.

3. Click Apply, and then close the Regional Options dialog box.

Power Users May Not Be Able to Create Mailboxes if Exchange Server is Installed in Maintenance Mode

If you install Small Business Server 2000 without Exchange 2000 Server, and then install Exchange Server later using Small Business Server Setup in maintenance mode, power users will not be able to create Exchange mailboxes for users. To provide this capability, refer to the topic “Enable Small Business Template Power Users to Create Exchange Mailboxes for New Users” in Small Business Server Online Help.

Microsoft Connector for POP3 Mailboxes

Unable to Download POP3 Mail After Configuring Router Trigger

If you configure Microsoft Connector for POP3 Mailboxes to use a router trigger when it attempts to download mail, the mail will not be downloaded from your Internet service provider (ISP) until the router trigger has finished executing. If the program defined in the router trigger fails or hangs, the POP3 Connector will be unable to download POP3 mail. Since the router trigger is still attempting to execute, clicking Retrieve Now will have no effect. This functionality occurs by design.

If you suspect this problem, use Task Manager to end the task defined as the router trigger. Once the task is ended, the POP3 Connector should be able to finish downloading mail from your ISP.

Define a Global Mailbox to Receive Mail Downloaded from an External Mailing List

Before you can configure the Microsoft Connector for POP3 Mailboxes to retrieve mail from an external mailing list, you must first define a global mailbox in the POP3 Connector to download POP3 mail from your ISP. Once this has been done, you can define an external mailing list to route POP3 mail to Exchange users.

Internet Security and Acceleration (ISA) Server 2000

ISA Services Will Not Start if Network Address Translation (NAT) is Enabled

If ISA Server is installed on a computer that has the Network Address Translation (NAT) routing protocol enabled through Routing and Remote Access Service (RRAS), ISA services will not start. This occurs because the NAT configuration in RRAS conflicts with the NAT service provided by ISA Server. To correct this issue, disable the NAT configuration in RRAS.

To disable NAT in RRAS

1. Click Start, point to Programs, point to Administrative Tools, and then click Routing and Remote Access.

2. Expand the node that represents your server computer, and then click IP Routing.

3. In the Details Pane, right-click Network Address Translation (NAT), and then click Delete.

4. Click Yes to verify removal of the NAT from the computer.

Use Only the Dial-up Connection Specified in ISA Server to Connect to the Internet

If your Small Business Server computer is connected to the Internet by way of a dial-up connection other than the one that is defined in your ISA Server settings, ISA Server will not properly monitor network traffic over the connection, which may pose a security risk to your network. As a best practice, use only the dial-up connection defined in ISA Server. Use the Small Business Server Internet Connection Wizard to easily select the dial-up connection you want to use to connect to the Internet.

Using ISA Server With a Dial-up Connection May Cause Unexpected Dialing When ‘Active Caching’ is Enabled

By default, ISA Server enables active caching, which causes ISA Server to dial at intervals to retrieve Web content. If ISA Server is configured to connect to the ISP using a dial-up connection, the modem dials at intervals, even if no user is requesting Web content. To correct this problem, run the Small Business Server Internet Connection Wizard, which will disable active caching. As an alternative, perform the steps in the following procedure.

To disable active caching

1. Click Start, point to Programs, point to Microsoft ISA Server, and then click ISA Management.

2. In the Console Tree, expand the Servers and Arrays node, and then expand your server node.

3. Right-click Cache configuration, and then click Properties.

4. Click the Active Caching tab, and then clear the Enable active caching check box.

5. Click OK to save your changes.

Client Notes

Error When Upgrading Fax Client Software: ’Fax network client setup failed. Please contact your system administrator.’

This may occur after upgrading a client computer's operating system to Windows 2000 Professional. If you see this error, you must add the fax printer manually through the Windows 2000 Add Printer Wizard. In the wizard, enter the name of the printer as \\SBSservername\SharedFax.

Before Upgrading Client OS to Windows 2000 Professional, Uninstall Fax Sharing Client 4.5 and Modem Sharing Client 4.5

Before upgrading a client computer's operating system to Windows 2000 Professional, you need to uninstall both Fax Sharing Client 4.5 and Modem Sharing Client 4.5. Once these have been removed, upgrade the operating system to Windows 2000 Professional. When the operating system is upgraded, install the fax and modem sharing client software for Small Business Server 2000.

Error When Running Client Setup: ‘Conflicting Credentials’

This message appears if you attempt to run Client Setup without first logging on as a user with local administrator privileges. To avoid this problem, log on to the client computer as a local administrator.

Auto Logon Information Error: ‘Your Auto Logon Password is Incorrect. Re-enter Your Password’ When Password is Entered Correctly

This error message appears if you select the Automatically logon option in setup on a Windows 2000 Server computer where the Client for Microsoft Networks networking component has been disabled or removed. Additionally, the following error will appear in your System event log:

Event ID 12291, SAM failed to start the TCP/IP or SPX/IPX listening thread

To correct this problem, install the Client for Microsoft Networks networking component on the Windows 2000 Server computer before attempting to install Small Business Server 2000.

To add the Client for Microsoft Networks networking component

1. Click Start, point to Settings, and then click Network and Dial-up Connections.

2. Right-click your network connection, and then click Properties

3. In the list of components, select Client for Microsoft Networks, and then click Install.

4. When asked, restart the computer.

Interactive Logon is Disabled on a Windows 2000 Server Computer Running Terminal Services

If you install an additional Windows 2000 Server computer on your network running Terminal Services, you may receive the message “interactive logon has been disabled” when attempting to log on over the network or locally.

To resolve this, you must manually restart the Windows 2000 computer running Terminal Services, logon using an account in the computer's local Administrator group and install Service Pack 1 for Windows 2000. After installing Service Pack 1 for Windows 2000, you need to grant permissions for users to logon to the computer.

To allow users to logon to a computer running Terminal Services

1. Click Start, and then click Small Business Server Administrator Console.

2. In the Small Business Server (BackOffice Manager) snap-in, click Users.

3. Right-click a user account, and then click Properties.

4. Click the Terminal Services Profile tab, select Allow logon to terminal server, and then click OK.

5. Repeat this procedure for each user that will access Terminal Services.

Note: Service Pack 1 for Windows 2000 is located in the W2K_SP1 directory on Small Business Server Setup Disc 1.

Tip: If you want all new users to have this access, perform this procedure on the Small Business User template user account.

Error When Creating Networking Setup Disk: ’Insufficient Space’

If you run the Add User Wizard or Set Up Computer Wizard and receive an “Insufficient space” error when writing to the networking setup disk, you may have a system language issue. Check to ensure that your Small Business Server 2000 computer is using the same locale as the client computers on the network.

1. Click Start, point to Settings, and then click Control Panel.

2. Double-click Regional Options.

3. Under Your locale (location), ensure that the proper locale is listed, or set the proper locale to match that of your client computers.

4. Under Language settings for the system, ensure that all applicable client computer languages are selected.

5. After verifying and/or configuring locale and language settings, re-run the Add User Wizard or Set Up Computer Wizard.

Uninstalling Applications

Stop MSSQLSERVER Service Before Uninstalling SQL Server 2000

When using Small Business Server Setup to uninstall SQL Server 2000, you must first stop the MSSQLSERVER service. Otherwise, SQL Server 2000 will not be uninstalled.

To stop the MSSQLSERVER service

1. Open the Services administrative tool (click Start, point to Programs, point to Administrative Tools, and then click Services).

2. In the list of services, right-click MSSQLSERVER, and then click Stop. Do Not Restart Computer

When Uninstalling English Query 2000

When using Small Business Server Setup to uninstall English Query 2000, a dialog box appears asking you to restart the computer. Do not restart the computer at this time, otherwise setup will not complete the uninstall process. Rather, click Exit Setup. Another dialog box appears informing you that you must restart the computer to complete the installation of the software. Click OK in this dialog box; a message appears stating that “Microsoft English Query 2000 Setup was not completed successfully.” This is expected behavior and there is no cause for alarm. Click OK and complete setup. After setup is complete, restart the computer.

Before Uninstalling Exchange 2000 Server on Small Business Server 2000

If you are running Small Business Server 2000 and need to remove Exchange 2000 Server, you will need to stop the Exchange IFS service and remove the drive mapping to the Exchange Web Store.

To stop the Exchange IFS service, open a command prompt and type net stop exifs. With the command prompt still open, type subst m: /d, which will remove the drive mapping to the Exchange Web Store.

Exchange 2000 Server Requires IIS

If you attempt to uninstall Internet Information Services (IIS) when Exchange 2000 Server is installed, a message appears informing you that Exchange Messaging and Collaboration Services will also be removed. This is due to a dependency that Exchange 2000 Server has on IIS. If there are any existing user mailboxes, IIS will be removed, but Exchange Messaging and Collaboration Services will not. Because Exchange 2000 Server depends upon IIS, removal of IIS will cause Exchange Server to stop functioning.


This Computer Is Configured as a Domain Member Server

Small Business Server must be installed on a server that is either the root of an Active Directory forest or a member of a workgroup.

Remove the computer from the domain and restart setup.

To remove the computer from the domain

  1. Right-click My Computer and then click Properties.
  2. Click the Network Identification tab and then click Properties.
  3. Select Workgroup and type any name that you want (for example, Workgroup) as the workgroup name.
  4. Click OK and then click Yes to restart the computer.


Small Business Server Must Be Installed as the Root of the Forest

You can install Small Business Server only on a server that is either the root of an Active Directory forest or a member of a workgroup.

Demote the computer, remove it from the domain, and then restart setup.

To demote the computer

  1. Click Start and then click Run.
  2. Type dcpromo and then click OK.
  3. Follow the on-screen instructions in the Active Directory Installation Wizard.

To remove the computer from the domain

  1. Right-click My Computer and then click Properties.
  2. Click the Network Identification tab and then click Properties.
  3. Select Workgroup and type any name that you want (for example, Workgroup) as the workgroup name.
  4. Click OK and then click Yes to restart the computer.
  • Note If this domain controller is a global catalog, make sure that another global catalog is available to users before demoting it. For information about configuring domain controllers to host the global catalog, refer to Windows 2000 Server documentation.
  • If this domain controller currently owns one or more operations master roles, transfer the operations master roles to another domain controller before demoting it. For information about locating operations masters and transferring operations master roles, refer to Windows 2000 Server documentation.
  • If this domain has child domains, it cannot be deleted. If this domain controller is the last domain controller in the domain, demoting this domain controller will remove this domain from the forest. If this is the last domain in the forest, demoting this domain controller will also delete the forest.


This Server Has a Trust Relationship

Small Business Server does not support trust relationships with other domains. You must revoke any trust relationships and restart setup.

To revoke trust relationships

  1. Click Start, point to Programs, point to Administrative Tools, and then click Active Directory Domains and Trusts.
  2. Right-click on the domain and then click Properties.
  3. Click the Trusts tab.
  4. In either Domains trusted by this domain or Domains that trust this domain, select the trust to be revoked and then click Remove.
  5. Repeat this procedure for the other domain involved in the trust.
  6. Repeat steps 4 and 5 for each trust relationship.


Small Business Server Is Already Present in the Domain

A single domain can contain only one Small Business Server computer. If you have removed the other Small Business Server from the domain, ensure that the domain controller account has been removed from the Active Directory.

This account is located within the domain controllers organizational unit.


Terminal Services are Enabled in Application Sharing Mode

For the latest information on Small Business Server compatibility with Terminal Services in application sharing mode, see http:\\www.microsoft.com\smallbusinessserver\.

It is not recommended that you install Small Business Server on a computer running Terminal Services in application sharing mode.

There are two modes to choose from when enabling Terminal Services. The original mode is called application server, and is similar to the Windows NT® Server 4.0, Terminal Server Edition. This mode is designed to supply multiple users with Windows-based applications that run from a server. Application server mode configures Terminal Services in a number of specific ways, including:

  • Memory and CPU use geared toward interactive applications.
  • Terminal Services optimized to handle many sessions, which increases service overhead.
  • Terminal Services application compatibility enhancements to aid applications that are unaware of the Terminal Services environment.
  • License allocation for each device that connects to a Terminal Services session.

These configurations are not required when using Terminal Services in remote administration mode. Although the performance costs of using application server mode are reasonable when used on a server dedicated to application serving, they can be detrimental on a mission-critical Small Business Server. Similarly, specialized installation and device licensing are critical to an application server, but cumbersome and unnecessary in a focused operations environment.

A second Terminal Services mode was added to the Windows 2000 operating system to address these concerns. Remote administration mode is the recommended configuration for Small Business Server for the following reasons:

  • Memory and CPU usage settings are left unaffected.
  • Terminal Services is enabled with minimal impact to the server.
  • Terminal Services application compatibility settings are completely disabled.
  • Without having to install a license on the client, Terminal Services licensing requirements are dropped and replaced by two concurrent administrator connections.


Administrator Access Is Required

To successfully run setup, you must be logged on using an account with sufficient permissions. Review the following list, log on using the correct user account, and restart setup.

If you are installing Small Business Server on a clean machine or upgrading from Small Business Server 4.5 you must:

  • Be logged on using the built-in administrator account.

If you are upgrading from Windows 2000 Server, you must

  • Be an administrator on the server.
  • Have the necessary permissions to update the Active Directory schema. To ensure the necessary permissions, the user should be a member of the Schema Admins security group.

If you are running Small Business Server Setup in maintenance mode, you must

  • Be an administrator on the server.


You Must Be Logged On as the Built-In Administrator Account

During setup, you might need to update the server schema and create Active Directory objects.

The current machine is a Windows NT Server 4.0 domain controller. After you have upgraded to Windows 2000 Server and the domain has been reestablished, by default only the built-in administrator account has the rights to perform these tasks.

Log on using the built-in administrator account and restart setup.


You Do Not Have Sufficient Access to Active Directory

You must have the necessary permissions to create and delete all objects under SIT Server Groups. Log on using an account with the necessary permissions and restart setup.

To install Small Business Server, you must be a local administrator on the server. If you are installing a server application that updates the schema (Exchange or ISA) and the schema has not been updated, you must have permissions to update the schema.

This is necessary whether you are installing Small Business Server on a machine for the first time, upgrading a machine running Windows 2000, or upgrading from a previous version of Small Business Server.


A Network Adapter Must Be Installed, Enabled, and Configured with a Valid IP Address

For setup to complete successfully, at least one network adapter with a valid IP address must be enabled, connected, and configured.

Check the following:

  • Confirm that all hardware and cables are connected to the server and that the cable is connected to the network.
  • Turn on all external devices, such as a network hub.
  • If the card is disabled, open Network and Dial-up Connections, right-click the connection, and then click Enable.
  • If you do not have a valid IP address, do the following:
    • Open Network and Dial-up Connections, right-click the connection, and then click Properties.
    • Select Internet Protocol (TCP/IP) and then click Properties.
    • Type your IP information and then click OK.

    Note A valid IP address is one that is other than 0.0.0.0, 169.254.x.x, or 127.0.0.1, and that is no greater than the 223.x.x.x range. It is recommended that the internal network be assigned the range 192.168.16.x. After resolving the problem, rerun setup.


A Network Adapter Must Be Installed, Enabled, and Configured for TCP/IP

For setup to complete successfully, at least one network adapter must be enabled, connected, and configured with a valid IP address. You may need to check the following:

  • Confirm that all hardware and cables are connected to the server and the cable is plugged into the network.
  • Turn on all external devices, such as a network hub.
  • To check whether the network adapter is disabled, do the following:
    1. Click Start, point to Settings, click Network and Dial-up Connections, and then right-click the connection.
    2. If the card is disabled, click Enable.
  • To check whether TCP/IP is configured, do the following:
    1. Click Start, point to Settings, click Network and Dial-up Connections, right-click the connection, and then click Properties.
    2. If Internet Protocol (TCP/IP) appears in the list, it is installed. Click Properties and make sure that the IP address/subnet mask/default gateway/DNS information is accurate. Enter the correct information if necessary.
  • If TCP/IP is not configured, do the following:
    1. Click Install and then double-click Protocol.
    2. Select Internet Protocol (TCP/IP) and then click OK.
    3. If asked, insert an installation disk.
    4. Type your configuration information, including a valid IP address.

    Note A valid IP address is one that is other than 0.0.0.0, 169.254.x.x, or 127.0.0.1, and that is no greater than the 223.x.x.x range.

    After resolving the problem, rerun setup.


Memory Requirement

Setup requires at least 128 MB of memory. If your computer does not have this much memory, you must exit setup, install additional memory, and restart setup.

Note The minimum supported is 128 MB of memory. The recommended is 256 MB.


This Version Cannot Upgrade the Installed Version of the Server

Small Business Server cannot upgrade your current operating system. You must first install Windows 2000 Server from the Small Business Server Disc 1. Click Cancel to exit setup, back up any data directories, and then run Windows 2000 Server Setup. When Windows 2000 Server Setup concludes, Small Business Server 2000 Setup starts automatically. Refer to the Small Business Server 2000 Planning and Installation guide, Chapter 16, section entitled “Installing Small Business Server 2000” for additional installation information.


A Beta Version Is Installed on This Computer

You cannot upgrade from a beta to a retail version of Small Business Server.

You must first install Windows 2000 Server from the Small Business Server Disc 1. Install it as a separate copy, not as an upgrade from an existing Windows 2000 installation. Click Cancel to exit setup, and then run Windows 2000 Server Setup. When Windows 2000 Server Setup concludes, restart Small Business Server 2000 Setup. It will not start automatically. Refer to the Small Business Server 2000 Planning and Installation guide, Chapter 16, section entitled “Installing Small Business Server 2000” for additional installation information.


Installed Version of Small Business Server Can Only Be Upgraded to BackOffice Server 2000

Your computer is running Small Business Server 4.5 Unlimited. Because this version of the server has been modified to remove the Small Business Server optimizations, you can only upgrade to BackOffice Server 2000.


Computer Is Running Windows NT Server 4.0

You cannot upgrade from Windows NT Server 4.0 to Small Business Server 2000.

You must first install Windows 2000 Server from the Small Business Server 2000 Disc 1. Click Cancel to exit setup, back up your server, and then run Windows 2000 Server Setup. When Windows 2000 Server Setup concludes, Small Business Server 2000 Setup starts automatically. Refer to the Small Business Server 2000 Planning and Installation guide, Chapter 17, section entitled “Installing Windows 2000 Server” for additional installation information.


Computer Is Running Windows 2000 Advanced Server or Data Center Server

You cannot install Small Business Server 2000 on a computer running either Windows 2000 Advanced Server or Windows 2000 Data Center. You must install BackOffice Server 2000, or install a separate copy of Windows 2000 from the Small Business Server Disc 1.


This Computer Must Be Running an OEM Version of Windows 2000 Server

You can install only the Original Equipment Manufacturer (OEM) version of Small Business Server 2000 on a computer also running the OEM version of Windows 2000 Server.


Computer Is Running a Prerelease Version of Windows 2000 Server

You cannot upgrade from a prerelease version of Windows 2000 Server to Small Business Server 2000.

You must first install Windows 2000 Server from the Small Business Server Disc 1. Click Cancel to exit setup, and then run Windows 2000 Server Setup. When Windows 2000 Server Setup concludes, Small Business Server 2000 Setup starts automatically. Refer to the Small Business Server 2000 Planning and Installation guide, Chapter 16, section entitled “Installing Small Business Server 2000 ” for additional installation information.


Computer Is Running an Evaluation Version of Windows 2000 Server

The Small Business Server installation includes only Service Pack 1. If you previously had any higher Windows 2000 Server Service Pack installed, you will need to reinstall it after completing setup.


Language Mismatch

The language of the operating system and Small Business Server must match. The language of the version of Windows NT 4.0 that you have installed must match the language of Windows 2000, because Windows 2000 cannot upgrade a different language version of Windows NT 4.0.

The language of the version of Windows 2000 included in Small Business Server matches the language of Small Business Server.


Language Mismatch

The operating system language and Small Business Server language do not match. During installation, if asked for Windows 2000 files, insert the compact disc you installed Windows 2000 with originally, not the Small Business Server compact disc, as it contains a different language operating system. If this is not acceptable, click Cancel to exit setup.


Computer Must Be Running Windows 2000 Server Service Pack 1 or Higher

Small Business Server 2000 requires Windows 2000 Server Service Pack 1. However, because the current language of Windows 2000 Server and that of Small Business Server do not match, Small Business Server cannot install the Windows 2000 Server Service Pack 1 as part of its setup.

Before you continue, install the Windows 2000 Server Service Pack 1 for your Windows 2000 Server language.


Display Resolution Should be at Least 800 X 600

A display resolution of 800 X 600 or higher is recommended.

To set the display resolution

  1. Open Control Panel and double-click Display.
  2. Click the Settings tab.
  3. Under the Screen Area, drag the pointer to the desired resolution level (800 X 600 or higher). Click OK.


At Least One Hard Drive Must Be Formatted as an NTFS Partition

Small Business Server requires at least one NTFS partition to promote the server to a domain controller. Click Cancel to exit setup. Use Disk Manager to create an NTFS partition and then restart setup.

To open Disk Management

  1. Click Start, point to Settings, click Control Panel, double-click Administrative Tools, and then double-click Computer Management.
  2. In the Console Tree under Storage, click Disk Management.
  3. Right-click an unallocated region of a basic disk, and then click Create Partition, or right-click free space in an extended partition, and then click Create Logical Drive.
  4. In the Create Partition Wizard, click Next, click Primary Partition, Extended Partition, or Logical Drive, and then follow the on-screen instructions to complete the wizard.

Note For additional information on Disk Management, refer to Windows Help.


After Upgrading, Client Access Licenses Will be Reset

Small Business Server installs with a license for five clients. You currently have more than five client access licenses, but that number will be reset to five after upgrading. Additional licenses can be added after you complete setup from the To Do List.

You must purchase Small Business Server 2000 Client Access Licenses.

Note You can add licenses from the To Do List, which appears once Small Business Server setup is complete. Click Add Client Licenses.


Licensing Mode Will be Converted to Small Business Server Licensing

The current licensing mode is not Small Business Server licensing mode. Setup will convert your licensing mode and install Small Business Server with a license for five clients. Additional licenses can be added after you install the server.

Note You can add licenses from the To Do List, which appears once Small Business Server setup is complete. Click Add Client Licenses.


Certificate Server is Installed on this Computer

Small Business Server 2000 cannot be installed on a computer running Certificate Services. Remove Certificate Services and restart setup.

To stop the certification authority service

  1. Click Start, point to Programs, point to Administrative Tools, and then click Services.
  2. Right-click Certificate Services and click Stop.

To remove Certificate Services

  1. Click Start, point to Settings, and then click Control Panel.
  2. Double-click Add/Remove Programs and then click Add/Remove Windows Components.
  3. From the Windows Components list, clear Certificate Services and then click Next.
  4. Follow the on-screen instructions to complete the Windows Components Wizard.


Exchange Server 4.0 Is Installed on this Computer

Small Business Server 2000 does not support Exchange Server 4.0. Remove Exchange Server 4.0 and then restart setup. Exchange 2000 Server can be installed with Small Business Server once the operating system has been upgraded to Windows 2000.


Exchange 5.5 Is Installed on This Computer

Before you can upgrade to Microsoft Exchange 2000 Server, you need to perform some manual steps, such as installing an Exchange Active Directory connector. These steps are outlined in the "Migrating Exchange 5.5 Servers from Windows NT 4 Domains to Windows 2000 Domains" white paper that is included in your Small Business Server 2000 packaging.


Proxy Server 1.0 is Installed on This Computer

Small Business Server 2000 does not support Proxy Server 1.0. Remove Proxy Server 1.0 and then restart setup. Internet Security and Acceleration Server (ISA) 2000 can be installed with Small Business Server 2000 once the operating system has been upgraded to Windows 2000.


Proxy Server is Installed. Disable the External Interface to Ensure the Server is Secure During Setup

During the upgrade of Small Business Server, setup will temporarily stop the proxy services. To ensure your network is secure while the firewall is down, disable your external interface before continuing with setup.

To disable the external interface in Windows NT4 Server

  1. Click Start, point to Settings, then Control Panel, and then click Devices.
  2. Select the Network Adapter from the Devices list, and click Startup.
  3. Select Disabled and then click OK.
  4. Click OK to close the Devices dialog box.

To disable the external interface in Windows 2000 Server

  1. Click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the external interface and then click Disable.


You Must Exit Add/Remove Windows Components

Setup will fail if the Add/Remove Programs utility is open on the computer. Close the Add/Remove Programs utility and restart setup.


Setup Requires Additional Free Space in the Temp Folder

Setup needs approximately 30 MB of free space in the Temp folder to copy any necessary server files. Free up additional disk space in the Temp folder and then restart setup.


The /CreateUnattend Switch Can Only Be Used on a Computer Running Windows 2000 Server

The /CreateUnattend switch can only be used on a computer running Windows 2000 Server. Restart setup without the /CreateUnattend switch. If you want to use the /CreateUnattend switch, upgrade the operating system to Windows 2000 and rerun setup.

The /CreateUnattend switch is not supported on Small Business Server.


Proxy Web Admin Tool is Installed on This Computer

Small Business Server 2000 will not install on computers running the Proxy Web Admin Tool. Remove the Proxy Web Admin Tool and then restart setup.

To uninstall the Proxy Web Admin tool

  1. Open the Control Panel and click Add/Remove Programs.
  2. Click the Microsoft Proxy Server Web Administration Tool.
  3. Click the Add/Remove button, and respond to the resulting dialogs to remove the Proxy Web Admin tool.


Your Paging File Size May Be Too Small

It is recommended that your paging file be 1.5 times the total RAM.

To change the size of the paging file

  1. Click Start, point to Settings, click Control Panel, and then double-click System.
  2. Click the Advanced tab, click Performance Options, and then under Virtual memory, click Change.
  3. In the Drive list, select the drive that contains the paging file you want to change.
  4. Under Paging file size for selected drive, type a new paging file size (in megabytes) in either the Initial size (MB) or Maximum size (MB) box, and then click Set.
  5. Click OK in each open dialog box for the change to take effect.

Note While this procedure is appropriate for most systems with an average amount of RAM, for systems with larger amounts of RAM, it could be out of proportion. For systems with larger amounts of RAM, a smaller paging file may be used.


/CreateUnattend Switch Can Only Be Used on a Domain Controller or a Server that Is Already a Member of a Domain

The /CreateUnattend switch can only be used on a Windows 2000 Server that has already been promoted to a domain controller or joined to a domain as a member server. Small Business Server requires the server be a domain controller.

Restart setup without the /CreateUnattend switch to install Small Business Server 2000 on this computer.

To use the /CreateUnattend switch

  1. Click Start.
  2. Click Run.
  3. Type DCPromo.exe and complete the Active Directory Installation Wizard. You must promote the server to the root of the Active Directory forest.
  4. Note The /CreateUnattend switch is not a supported feature in Small Business Server.


Exchange 5.5 Server Display Names Contain Invalid Characters

Display names that meet any of the following criteria are invalid:

  • Contain an invalid character, including ~`!@#$%^&*()_+={[}]|\:;"'<,>.?/
  • Contain a leading or trailing white space
  • Are blank
  • Are longer than 64 characters

To change display names

  1. Click Start, point to Programs, point to Microsoft Exchange, and then click Microsoft Exchange Administrator.
  2. If this is the first time you have run Microsoft Exchange Administrator, the Connect to Server dialog box appears. Type your server name and then click OK, or click Browse to navigate to your server.
  3. Select your domain name in the Console Tree (the Organization container).
  4. From the File menu, click Properties to open the properties for the Organization.
  5. Type a new display name and then click OK.
  6. Select your server name in the Console Tree (the Site container).
  7. From the File menu, click Properties to open the properties for the Site.
  8. Type a new display name and then click OK.
  9. Close Microsoft Exchange Administrator.
  10. After making your changes, restart setup.


The LDAP Port Must be Changed Before You Can Upgrade to Exchange 2000 Server

To upgrade a domain controller running Exchange Server 5.5 to Windows 2000 Server, you must change the LDAP port used by Exchange Server 5.5.

For more information on changing the port for LDAP over SSL, refer to:
http://support.microsoft.com/support/kb/articles/q232/6/06.asp

To change the LDAP port

  1. Click Start, point to Programs, point to Microsoft Exchange, and then click Microsoft Exchange Administrator.
  2. If this is the first time you have run Microsoft Exchange Administrator, the Connect to Server dialog box appears. Type your server name and click OK, or click Browse to navigate to your server.
  3. Click the + symbol next to your server name to expand the tree.
  4. Expand Configuration.
  5. Select Protocols.
  6. Select LDAP (Directory) Settings in the Details Pane.
  7. From the File menu, click Properties to open the properties.
  8. Change the Port number from 389 to 379.
  9. Expand Servers, and then expand your server.
  10. Select Protocols.
  11. Select LDAP (Directory) Settings in the Details Pane.
  12. From the File menu, click Properties to open the properties.
  13. Change the Port number from 389 to 379.
  14. Close Microsoft Exchange Administrator.
  15. Click Start, point to Settings, and then click Control Panel.
  16. Double-click Services.
  17. Select Microsoft Exchange Directory and then click Stop.
  18. Click OK on the Stopping dialog that appears informing you that the following services will also be stopped: Microsoft Exchange Event Service¸ Microsoft Exchange Information Store, and Microsoft Exchange Message Transfer Agent.
  19. After the service has stopped, start the following services by selecting the service and clicking Start: Microsoft Exchange Directory, Microsoft Exchange Event Service¸ Microsoft Exchange Information Store, and Microsoft Exchange Message Transfer Agent.
  20. Close the Services window.
  21. After making all changes, restart setup.


/Unattendfile Switch Can Only Be Used on a Windows 2000 Server Service Pack 1 Domain Controller, or a Server With Service Pack 1 That Is a Member of a Domain

To install a server using the /UnattendFile switch, the computer must:

  • Have Windows 2000 Server Service Pack 1 installed, and
  • Be a domain controller or a member of a domain.

To install Small Business Server 2000 on this machine, restart setup without the /Unattendfile switch.

To use the /UnattendFile switch

Note The /CreateUnattend switch is not a supported feature on Small Business Server.

  1. Install Windows 2000 Server Service Pack 1 from the Small Business Server Disc 1 \win2K_sp1 directory.
  2. Promote the machine to the root of the Active Directory forest, as follows:
    • Click Start, click Run, type DCPromo.exe, and then complete the Active Directory Installation Wizard.


Windows NT 4.0 Terminal Server Is Installed On This Computer

You cannot upgrade directly from Windows NT Server 4.0 Terminal Server to Small Business Server 2000. You must first install Windows 2000 Server from the Small Business Server 2000 Disc 1.

To install Windows 2000 Server from the Small Business Server 2000 disc 1

  1. Click Cancel to exit setup, back up your server, and then run Windows 2000 Server Setup from the Small Business Server 2000 Disc 1.
  2. When Windows 2000 Server Setup concludes, Small Business Server 2000 Setup starts automatically.
  3. Refer to the Small Business Server 2000 Planning and Installation guide, Chapter 16, section entitled “Installing Small Business Server 2000 ” for additional installation information.


/CreateUnattend Switch Can Only Be Used If Non-Evaluation Windows 2000 With Service Pack 1 Or Higher Is Installed

The /CreateUnattend switch can only be used on a Windows 2000 Server computer that has Service Pack 1 installed.

To install Small Business 2000 Server on this machine

  • Restart Small Business Server 2000 Setup without the /CreateUnattend switch.

To use the /CreateUnattend switch

  • If it is not already installed, install Service Pack 1 from the Small Business Server 2000 Disc 1 in the Win2K_SP1\i386 directory.
  • Upgrade to Windows 2000 Retail if you are running Windows 2000 Evaluation.

Note The /CreateUnattend feature is not supported on Small Business Server 2000.


Proxy Server 2.0 Services Must Be Stopped and Set to Manual

During the operating system upgrade, all Proxy Server 2.0 services must be stopped and set to manual, including:

  • Microsoft Proxy Server Administration (mspadmin)
  • Microsoft Winsock Proxy Service (wspsrv)
  • Proxy Alert Notification Service (mailalrt)
  • World Wide Web Publishing Service (w3svc)
  1. To stop proxy services and set services to manual, click Start, point to Settings, click Control Panel, and then double-click Services.
  2. Check each of the services listed above. For those marked as Started, do the following:
    1. Click the service name.
    2. Click Stop.
    3. Click Yes.
    4. Click Startup
    5. Click Manual.
    6. Click OK.
  3. Once you have stopped and set all services to manual, click Close.

When the operating system upgrade has been completed, you may receive a message indicating that Microsoft Proxy Server 2.0 will not work on Windows 2000. This message can safely be ignored. Continue with Small Business Server 2000 setup to upgrade to Internet Security and Acceleration Server 2000.


Small Business Server 2000 Cannot Be Installed While Internet Connection Sharing Is Enabled

For setup to complete successfully, Internet Connection Sharing must be disabled. It can be re-enabled at the end of setup if Internet Security and Acceleration Server 2000 is not installed.

To disable Internet Connection Sharing

  1. Click Start, point to Settings, and then click Network and Dial-up Connections.
  2. Right-click the dial-up, VPN, or incoming connection, and then click Properties.
  3. Click the Sharing tab, and clear the Enable Internet connection sharing for this connection check box.
  4. Click OK to close the dialog box.

Note Disable RRAS/NAT before upgrading.


See Release Notes for More Information

Please refer to the Suite Requirements section of the Small Business Server Release Notes for detailed information on successful installation. There you will find an entry that matches the title of the error you received.

Click here for the Release Notes.


Service Accounts

Some applications, such as SQL Server, require a service account. These applications use the account to log on to the server. Different applications may have different requirements for their service accounts. This page lists all components that require a service account.

Select a component and click Assign Account. A list of user accounts will be displayed. Select the account you want to use as a service account.

Note Service accounts should be user accounts that will not be used by administrators or users. For security reasons, they should also be configured to have a password that will never expire and cannot be changed.


Product Identification

All fields on this page are required.

Type in entries for Name and Organization. These values help to identify your server.

Choose the value for Computer Name carefully. This value cannot be changed after your server has been installed. Computer Name is used to identify the Small Business Server on your network. Users will use this name to connect to resources on the server. Computer Name can be a maximum of 15 characters and must conform to the standard naming convention. Valid values include alphanumeric characters (A-Z, 0-9), and the dash symbol (-).

Locate and enter the Small Business Server and Microsoft Outlook product keys, found on the back of the disc case.


Automatic Logon Information

This pages gives you the option to allow setup to Automatically log on after restarting. This means setup can continue without your involvement. Type the password for the account you are currently logged on as, and it will be stored and encrypted in the Windows 2000 Registry until it is removed during the final restart of the installation process.

If you want to be involved in the entire setup process, select Manually log on after restarting.


Upgrade CD Verification

The Small Business Server Setup Wizard needs to verify your previous Small Business Server installation. Place the Small Business Server 4.0 or Small Business Server 4.5 Retail Compact Disc 1 or DVD into the disc drive. If you have more than one disc drive, use the Browse button to tell setup where the disc is located.


Suite Requirements

This page alerts you to issues that setup has detected with existing applications or computer settings.

Indicates that setup will continue, but that it may have problems.

Indicates that setup cannot continue. You must exit setup, resolve the problem, and then rerun setup.

Select the suite requirements and then click Details to view specific information for each alert and instructions for rectifying the problem. After resolving all blocking issues, rerun setup.


Suite Baseline

This page shows components that must be installed before setup can continue. Click Next to install the component. For example, if Windows 2000 Server is required, clicking Next will install Windows 2000 Server.

If you do not want to install the component, click Cancel to exit setup.


Component Messages

This page displays information on the components.

Information Select the component to see additional information.

Error Indicates a fatal error. Select the component to see details on the error.

If a fatal error is displayed, you must resolve the installation problems and then rerun setup. If you have another computer with Internet access, you can access online support or search for Knowledge Base articles, at the following location:
http://support.microsoft.com/directory

Click Next to continue, or click Cancel to exit setup.


Company Information

This page asks you to provide your organization’s address, city, state, and postal code. This information will be used to configure Small Business Server applications. For example, when you add a user to the system, your company information will be used for the user account’s address.

This information is not used for product registration.


Telephony

This page asks you to provide your organization’s voice and fax telephone numbers, including area code, and the number you dial to access an outside line (typically, 9). You can also select between tone and pulse dialing. Specify tone dialing unless pulse dialing is the only type of dialing your phone line supports.

This information will be used to set up a dialing location on the server and will be used by telephony applications such as Shared Fax Service and Shared Modem Service.


Domain Information

This page displays your current domain information. If you are upgrading from Windows 2000 Server, this is your existing domain. Otherwise, this is the domain selected when Small Business Server was initially installed. Once created, the domain name cannot be changed.

Click Next to continue, or click Cancel to exit setup.


New Domain Information

Windows 2000 domain names have two variations: a DNS name and a NetBIOS name.

Important Choose these values carefully. You cannot change them after you install the server.

Full DNS name for the new domain. Windows 2000 computers use the full DNS name to query and locate named resources on the network. The default suggestion of smallbusiness.local is meant for those who do not have a registered Internet domain name and/or will not be connecting to the Internet. If your server will be connected to the Internet, we recommend that you secure a registered Internet domain name with an accredited Internet registrar.

Registered Internet domain name. You may consider using your Internet domain name (for example, microsoft.com) as your server's DNS name if you have registered it with an accredited Internet registrar. This is not necessary, however, and you can still use a .local name in this scenario. This may help you avoid problems that could arise in the future if your Internet domain name changes. If you do want to use your Internet domain name, you should first talk with your ISP before making this decision. Depending on your Internet domain name and your agreement on how your Internet name resolution will be configured, your ISP may recommend a DNS name. For example, if the ISP will be hosting the domain, it may recommend that, for security reasons, your server's DNS name have a prefix appended to it (for example, corp.microsoft.com) for security reasons. In this case, manual configuration of several Small Business Server applications will be necessary.

Note It is not recommended that you use your ISP domain name for your DNS name. If you change ISPs, you will not be able to change the server’s DNS name.

For more information on planning your DNS name, please see the references at the end of this topic.

Domain NetBIOS name. Most computers, excluding those running Windows 2000 or newer operating systems, require NetBIOS for name resolution. You should use the same name for NetBIOS and DNS naming. For example, if the DNS name is microsoft.com, the NetBIOS name would be microsoft.

DNS References

Introduction to the Domain Name System

http://www.microsoft.com/WINDOWS2000/library/resources/reskit/samplechapters/cncc/cncc_dns_pgpf.asp

Introduction to DNS

http://www.microsoft.com/WINDOWS2000/library/resources/reskit/samplechapters/cncc/cncc_dns_wgga.asp

DNS Standards

http://www.microsoft.com/WINDOWS2000/library/resources/reskit/samplechapters/cncc/cncc_dns_ymfy.asp

Windows 2000 DNS White Paper

http://www.microsoft.com/WINDOWS2000/library/howitworks/communications/nameadrmgmt/w2kdns.asp

Configuring Windows 2000 DNS to Support Active Directory

http://www.microsoft.com/WINDOWS2000/library/resources/reskit/deploymentscenarios/scenarios/dns_02_sir.asp


Data Folders

Setup provides default locations for components that allow you to specify where the data will be stored.

Note If the folder does not currently exist, it will be created during installation.

To change the folder in which a component stores its data, select the item, and then click Change Folder.

Note To simplify backup and recovery efforts, it is recommended that you store data on a separate NTFS drive. You should choose a drive with enough free disk space to support future growth.

The Change Folder button will become available if you select a folder whose properties can be changed.

If the configuration is acceptable, click Next. To exit setup, click Cancel.


Component Selection

You can customize your installation by specifying which components you want to install. To do this, select the component, click the Action field and then make the appropriate selection. The following are a list of actions and symbols that appear on this page.

Install. Select this to install the component.

Maintenance. Selecting this allows you to modify the actions of the component’s subcomponents.

Remove. Select this to remove the component and all its installed subcomponents as well.

Reinstall. Select this to reinstall the component and all its subcomponents.

None. Select this and no action will be taken on the component.

Indicates that the component is currently installed.

Indicates that the component has subcomponents.

For default applications, Install appears automatically in the Action field.

Note Setting the install action of a server application to Install does not automatically set the install action to any of its subcomponents. You will need to do so separately for each subcomponent. This provides you flexibility in customizing your Small Business Server installation. For example, you can set the install action of the SQL Server component to Install, set the Server Components subcomponent to Install, and set the install action for Books Online to None.

To change the default installation path for a component, select the component and then click Change Path.

Click Disk Information to display all available drives, the space required by the component, and the remaining disk space.

After making your selections, click Next to continue or click Cancel to exit setup.


Installation Summary

This page shows the components that are to be installed and the directory in which they will be located. Click Disk Information to display all available drives, the space required by the component, and the remaining disk space.

Review the information carefully. If you need to make additions or corrections, click Back. Click Next to continue, or click Cancel to exit setup.


Configure Hardware

Select the device you will use to connect to the Internet.

Modem or terminal adapter. Select this when you have an analog modem or ISDN terminal adapter accessed through Dial-Up Networking or RRAS.

Router. Select this when an ISDN or cable router is used to connect to the Internet.

Full-time broadband connection. Select this for a full-time, high-speed connection to the Internet. For example, select this when using cable modems or MMDS devices. This option requires a second network adapter. One of the network adapters must also have a fixed IP address.

Do not change my networking configuration. Select this option only if your server is not used as a gateway between the local network and the Internet, or if you do not want this wizard to modify your network configuration.

Click the Form button and note the information you will need to complete the wizard. Contact your ISP for the required information.


Set Up Router Connection to ISP

Your system can be configured in one of two ways, as follows:

Configuration A—the router can be part of the local area network.

Configuration B—the router can be attached to a second network adapter.

Configuration A

Configuration B

Using a second network adapter, Configuration B, is recommended. It lets you secure your system by taking advantage of the Internet Security and Acceleration Server 2000. Make sure your adapter is identified and configured to the system before continuing this wizard.

Router address. Select this option to enable TCP/IP from the local network to the Internet. If you are using Configuration A, the router address is local. If you are using Configuration B, the IP address is the internal address of the router.

Note Your router IP address must be accessible by the server computer. For example, if you are using a second network adapter connected to the router, and the router's IP address is 192.168.16.1, the second network adapter must be assigned a valid address of 192.168.16.x, where x is a valid IP address.

My router is connected to the server via a second network adapter. Select this option if you are using Configuration B.

Primary DNS server. Type the primary DNS server IP address provided by the ISP.

Secondary DNS server address (optional). If available, type the secondary DNS server IP address provided by the ISP.


Network Interface Card Configuration

Specify which network card to use for your network and which to use for your Internet connection.

Select the network card you want to use for your local network. This network adapter will be used for your Small Business Server network. Verify that it is configured with the base IP address of your server.

Note Make sure your Internet Security and Acceleration (ISA) Server 2000 Local Address Table (LAT) configuration includes the IP address of your local network card.

Select the network card you want to use to connect to the Internet. This network adapter will be used for Internet communications. It will be referred to in later wizard pages as the second network card or the external network card.

Note Make sure the IP address of the second network card is not within the internal address space of the ISA LAT configuration.


Set Up Second Network Adapter

Provide the information used to configure the second network adapter to work with a broadband device or router. Most of this information is available from your ISP.

IP address. Identifies the IP address that is assigned to the second network adapter. The address cannot be modified from this page. To change this setting, go to Network and Dial-up Connections.

Subnet mask. Identifies the address space of your network on the Internet. This cannot be modified from this page. To change this setting, go to Network and Dial-up Connections.

Default gateway. Identifies the default gateway address of the second network adapter so that client Internet requests can be routed through this network gateway. Type in the correct value for the default gateway.

Primary DNS server address. Identifies the address of the ISP’s primary DNS.

Secondary DNS server address (optional). Identifies the address of the ISP’s secondary DNS.


Configure Internet Domain Name

Type your Internet domain name. This name is either your own domain name (if you have one registered with a Domain Name Registry) or the domain name that your ISP provided.

Note To change an ISP-supplied Internet domain name, you must request the change on the ISP's server.


Receive Exchange Mail

Some ISPs require a signal to notify them that you are online and ready to receive mail before they will transfer mail to your Exchange server. Contact your ISP for its mail requirements.

Do not send a signal. Prevents Exchange Server from sending a dequeuing signal to the ISP.

Send a signal. Configures Exchange Server to send a dequeuing signal to the ISP. Different types of signals can be sent, including:

  • ETRN command. This is the most common command used to dequeue mail from an ISP. It is supported by Sendmail, version 8.8.x or higher, and requires a static IP address on the server.
  • Issue TURN after authentication. This command may be used if the ISP supports Exchange or MCIS Server.
  • Receive mail from a different host. If your ISP hosts its mail server on a different computer than its network access server, select this option and type the IP address of the ISP’s mail server in the box. Exchange Server will be configured to send the signal to the designated server.


Mail Delivery Frequency

Specify how often you want Exchange Server to contact your ISP to download mail. Outgoing mail will be sent at the same time. The recommended frequency is once every hour.


Configure Connector's SMTP Server Address

Forward all mail to host. Select this option if you have an Internet connection that is not full-time, such as a dial-up modem or dial-on-demand router connection. Exchange Server will forward all messages to an ISP SMTP relay host. Type your ISP’s SMTP server either as a host name or an IP address.

Use domain name service (DNS) for mail delivery. Select this option if you have static IP address and a full-time connection to the Internet.


Review POP3 Mailboxes

This is a list of the currently configured POP3 mailboxes on your server. Exchange Server will download mail for these mailboxes. You can review and make any changes at this time.

Important A POP3 mailbox is required to complete your POP3 configuration. If you do not want to configure a POP3 mailbox at this time, you can click the Back button one or more times to return to the Configure Internet Mail Settings page. From here, click Do not change my POP3 settings.

Mailing lists cannot be configured on this page. After completing setup, you can configure mailing lists using the POP3 Gateway snap-in.


Create or Edit POP3 Account

You can create or edit a POP3 account.

Mailbox type. You can choose from two types of POP3 mailboxes:

  • If you have a single ISP mailbox designated to receive all mail that is addressed to users on your network, select Global POP3 Mailbox. When POP3 mail is downloaded to Exchange Server, it will read the recipients on the To and Cc lines of the message and then forward the message to the correct Exchange mailboxes.
  • If you have individual POP3 mailboxes that are set up for your users, select Individual POP3 Mailbox. When POP3 mail is downloaded, Exchange Server will match POP3 account information to a corresponding local account to route mail to the correct user.
  • Mail server. Specify the DNS name of the POP3 server. Contact your ISP for this information.

Login name. This is the name used to log on to the POP3 mailbox.

Password. This is the password that is associated with the POP3 mailbox.

Authentication. Specify the authentication type that is supported by the POP3 server.

Exchange User. This applies only to individual POP3 mailboxes. Specify the destination for mail retrieved from the POP3 mailbox. Click the drop-down list to see a list of current Exchange accounts.


ISP Password

Change the password I use to connect to my ISP. Select this option to change the password stored in the RAS phonebook entry used to connect to your ISP.

Change the password I use to authenticate and process SMTP mail from my ISP. Select this option to change the password stored on Exchange Server. This password is used when downloading mail from your ISP.

Change the password I use to connect to retrieve POP3 mail from my ISP. Select this option to change the password used to download POP3 mail from your ISP.


Modem Connection Information

The wizard displays the dial-up connection used by the Internet Security and Acceleration Server 2000. Use the drop-down list to select your ISP's RAS dial-up connection, and then type your new password information.


Set Up Authentication

The information entered on this page is used to configure Exchange outbound security.

Use Secure Sockets Layer (SSL). Select this option to configure SSL encryption protocol for the dequeueing password. This method must be supported by your ISP. If this option is not selected, Exchange Server will use basic authentication.

Note If you enable the SSL option, the ISP account and password used on this page may differ from the ones used to log on to the ISP. Contact your ISP for SSL account information.


Local Network Adapter Information

Select the network adapter for your internal network. If the network adapter shows a status of disconnected or disabled, it cannot be used for your network.

If the card is disconnected, you may need to check the following:

  • Make sure all hardware and cables are connected to the server and the cable is plugged into the network, or at the very least, connected to a network hub.
  • Turn on all external devices, such as a network hub.

If the network adapter is disabled, you will need to do the following:

  • Click Start, point to Settings, then click Network and Dial-up Connections, right-click the connection, and then click Enable.

After resolving the problem, select the appropriate card and then click Next.

Click Next to specify the settings for the network adapter, or click Cancel to exit setup.

Note For security purposes, setup disables all other network adapters on the server. Your current settings are preserved. After installing the server, re-enable any network adapters (click Start, point to Settings, then click Network and Dial-up Connections, right-click the connection, and then click Enable).


Server Network Card Configuration

If your network card is configured with a valid static IP address, the current settings are displayed.

Note A valid IP address is one that is other than 0.0.0.0, 169.254.x.x, or 127.0.0.1, and that is no greater than 223.x.x.x.

If your network card is not configured with a valid IP address, the settings for IP address and subnet mask default to 192.168.16.2 and 255.255.255.0, respectively. These are Class C, non-routable addresses typically used for Small Business Server networks. It is recommended that these values not be changed, or that you select an alternative private address if necessary. Do not change these values to a non-private address unless you have obtained an address space from the InternNIC.

Note The following three address blocks define the private address space specified in RFC 1918:

  • The 10.0.0.0/8 private network allows the following range of valid IP addresses: 10.0.0.1 to 10.255.255.254.
  • The 172.16.0.0/12 private network allows the following range of valid IP addresses: 172.16.0.1 to 172.31.255.254.
  • The 192.168.0.0/16 private network allows the following range of valid IP addresses: 192.168.0.1 to 192.168.255.254.

Default gateway. This value can be left blank, which should be suitable for most Small Business Server networks.

Note For security purposes, setup will disable all other network cards on the server. Your current settings will be preserved. After installing the server, reenable any network cards (click Start, point to Settings, click Network and Dial-up Connections, right-click the connection, and then click Enable).


Client Networking Configuration

Specify whether you want to configure your clients to use DHCP. DHCP lets you assign IP addresses to the clients dynamically. When the client computer starts, Small Business Server assigns it an available IP address from the DHCP scope. Using DHCP can reduce the time you spend on configuration management.

My clients use static IP addresses. Select this option if you do not want to use DHCP. You will need to configure an IP address for each client.

Install DHCP server to assign client IP addresses. Select this option if you want to use DHCP. When you add computers to the network using the Set Up Computer Wizard, the client will be configured to use DHCP.

Start IP address and End IP address. Use these fields to specify the range of IP addresses in the DHCP scope. Subnet mask defaults to your server’s subnet mask.

Use WINS for name resolution. WINS is a software service that dynamically maps IP addresses to computer names (NetBIOS names). This allows users to access resources by name instead of requiring them to use IP addresses that are difficult to recognize and remember.


Set Up Modem Connection to ISP

Type the information that is required to connect to your ISP by modem. This information is stored as a dial-up connection. If you have more than one ISP, you can create a dial-up connection for each.

The following information is required:

Dial-up connection. Select an existing dial-up connection or click New to create a new connection.

ISP account name. Type your user name. This is the name you use to connect to your ISP. Typically, your ISP will provide this name.

Password. Type the password for your ISP account. Typically, your ISP will provide the password.

Confirm password. Retype your password for confirmation.

If you use a static (or permanent) IP address, as supplied by your ISP, you must select the option I have a static IP address from my ISP with this connection, and then specify the IP address.

Primary DNS server address. Type the primary DNS server IP address provided by the ISP.


Configure Internet Mail Settings

Exchange Server can send and receive mail from your ISP using the SMTP protocol, POP3 protocol, or both.

Note To check your current settings, start Microsoft Exchange System Manager and then double-click Connectors. Right-click the connector, and then click Properties to view your current configuration.

Use SMTP for Internet mail. Select this option if you want Exchange Server to handle your Internet mail.

Do not change my Exchange Server settings. Select this option if you are currently using Exchange Server and do not want your settings overwritten.

Disable Exchange Server electronic messaging. Select this option if you do not want to use Exchange Server as your mail server.

Use POP3 for Internet mail. Select this option if you want to download Internet mail using POP3 mailboxes provided by your ISP.

Note Make sure Use SMTP for Internet mail is also selected, allowing Exchange Server to handle to your outgoing mail.

Do not change my POP3 settings. Select this option if you are currently using the POP3 Gateway to download your Internet mail and do not want your settings overwritten.

Disable POP3 electronic messaging. Select this option if you will be using SMTP to send and receive Internet mail.


Full-Time Broadband Connection

To identify your server, would you like to:

  • Obtain an IP address automatically from a DHCP server?
  • Specify an IP address?

If you are specifying an IP address, complete your second network adapter's:

IP Address: ____.____.____.____
Subnet Mask: ____.____.____.____
Default Gateway: ____.____.____.____

Primary DNS server address (provided by your ISP): ____.____.____.____
Secondary DNS server address (optional): ____.____.____.____

What type of mail do you receive (choose one type)?

  • Use Exchange (SMTP) Server
  • POP3
  • No e-mail

If you are using Exchange (SMTP) Server, what service do you use to deliver your mail?

  • Forward all messages to host

Host Name or IP address of your ISP’s mail (SMTP) server (example: exchange.microsoft.com or 170.10.10.10)
________________________________________

  • DNS

If you are using Exchange (SMTP) Server and automatically obtaining an IP address:

Host Name or IP address of your ISP’s mail (SMTP) server (example: exchange.microsoft.com or 170.10.10.10)
________________________________________

How do you signal your ISP to send mail to you?

  • ETRN
  • TURN with authentication
  • No signal

How often should this signal be sent? ______________________

Your domain name (example: microsoft.com): _______________________________


Modem or Terminal Adapter Connection

ISP Dialup Number: ___________________________

ISP Account Name: ___________________________

Password: ___________________________

Will your ISP be assigning you a static IP address?

Static IP address: ____.____.____.____

What type of mail do you receive (choose one type)?

  • Use Exchange (SMTP) Server
  • POP3
  • No e-mail

If you are using Exchange (SMTP) Server:

Your domain name (example: microsoft.com): _______________________________

If you are using Exchange (SMTP) Server, what service do you use to deliver your mail?

  • Forward all messages to host

Host Name or IP address of your ISP’s mail (SMTP) server (example: exchange.microsoft.com or 170.10.10.10)
________________________________________

  • DNS

If you are using POP3:

IP/Name of POP3 server: ________________________________________________

Host Name or IP address of your ISP’s mail (SMTP) server (example: exchange.microsoft.com or 170.10.10.10)
________________________________________

How do you signal your ISP to send mail to you?

  • ETRN
  • TURN with authentication
    • If you use TURN, username/password: ________________________________
    • No signal

How often should this signal be sent? ______________________

Does your ISP use a different server for sending email than receiving email?

If so, what is this server’s name or IP address? __________________________

How often do you want to send/receive email?

____ hours

____ minutes


Router Connection

IP address for your router (example: 192.168.16.1): ____.____.____.____

Primary DNS server address (provided by your ISP): ____.____.____.____
Secondary DNS server address (optional): ____.____.____.____

Is your router connected to your server through a second network adapter?

  • Yes
  • No

What type of mail do you receive (choose one type)?

  • Use Exchange (SMTP) Server
  • POP3
  • No e-mail

If you are using Exchange (SMTP) Server:

Your domain name (example: microsoft.com): _______________________________

If you are using Exchange (SMTP) Server, what service do you use to deliver your mail?

  • Forward all messages to host

Host Name or IP address of your ISP’s mail (SMTP) server (example: exchange.microsoft.com or 170.10.10.10)
________________________________________

  • DNS

If you are using POP3:

IP/Name of POP3 server: ________________________________________________

Host Name or IP address of your ISP’s mail (SMTP) server (example: exchange.microsoft.com or 170.10.10.10)
________________________________________

How do you signal your ISP to send mail to you?

  • ETRN
  • TURN with authentication
    • If you use TURN, username/password: ________________________________
    • No signal

How often should this signal be sent? ______________________

Does your ISP use a different server for sending email than receiving email?

If so, what is this server’s name or IP address? __________________________

How often do you want to send/receive email?

____ hours

____ minutes

Your Internet domain name (example: microsoft.com): _______________________________

Your Web page URL (example: www.microsoft.com): _________________________________________
Your Web posting URL (if different): __________________________________
Web posting account name: ____________________________
Password: ____________________________


Internet Security and Acceleration Server 2000 Local Address Table Configuration

Internet Security and Acceleration Server 2000 uses the Local Address Table to determine which IP addresses are on the local network. Setup creates some IP ranges by default. Use the Add and Remove buttons to add an additional IP range. or to remove an existing IP range.

Click Next to continue, or click Cancel to exit setup.


Additional Affected Components

Dependencies exist between some server components. As a result, changing the install action on one component can affect the install action on another. The install action you have selected affects the components listed on the page. One of the following may apply:

  • The component you selected has a dependency on the component(s) listed. For example, if component A were dependent on component B, when you install component A you must also install component B.
  • The component(s) listed has a dependency on the component you selected. For example, if component B were dependent on component A, when you remove component A you must also remove component B.

To view the specific dependency information, select a component and then click Details. To continue with the change in install action on the selected component, you must change the install action on the affected components so that the dependencies are satisfied.

Click Cancel to return to the original setting, or click OK to continue.


Directory Services Restore Mode

This option is used to restore the Active Directory on a domain controller.

This password is for an Administrator account that will be used to log on to the server in Directory Services Restore Mode.

Because this password is used for the Directory Services Restore Mode, it is recommended that strong password functionality be used for the Administrator account. This means that all passwords must fulfill the following requirements:

  1. Passwords must be at least six (6) characters long.
  2. Passwords must contain characters from at least three of the following four classes:
    • English upper case letters (such as A, B, C, ...Z)
    • English lower case letters (such as a, b, c, ...z)
    • Westernized Arabic numerals (such as 0, 1, 2, ...9)
    • Non-alphanumeric "special characters" (such as punctuation symbols)
  3. Passwords may not contain your user name or any part of your full name.

It is important to keep the Administrator password safe and private.


Small Business Server Authentication Page

To download your mail from your ISP's mail server to your Small Business Server, you must type the authentication information your ISP requires, including your user name for your ISP mail server and your password.

If your ISP requires you to encrypt your logon information using SSL or TLS encryption, select the SSL box. Otherwise, this box should be cleared.

Note If the box is cleared, your user name and password will be sent unencrypted, and could be intercepted.


Configure Packet Filtering

Packet filtering determines what types of network traffic will be permitted to pass through your server to and from the Internet. By default, Internet Security and Acceleration (ISA) Server 2000 is configured to not allow any network traffic through unless the user specifically allows it.

Enable Packet Filtering (default). This is the safest choice. Selecting this means that ISA will examine all network traffic coming to or from the Internet before allowing it through the server to the local network. When you select this option, ISA automatically allows basic network traffic, enabling your server to work correctly. This includes allowing DHCP, DNS, ICMP, and HTTP (Web) traffic through. You can choose to allow additional services by selecting the following check boxes:

  1. My Mail Server. Allows SMTP mail in both directions and incoming POP3 mail. For e-mail to work properly, this option must be selected.
  2. My Web Server. Allows incoming HTTP and HTTPs requests for your Internet Information Services (IIS) Server.
  3. My Web-Based Mail Server. Allows authorized users access to e-mail through Outlook Web Access from the Internet.
  4. Virtual Private Networking (PPTP Client Access). Allows users on your network to connect to Virtual Private Networking servers on the Internet.
  5. POP3. Choose this option if you want to download Internet mail using POP3 mailboxes provided by your ISP.
  6. FTP. Allows File Transfer Protocol (FTP) traffic to and from your server.
  7. Terminal Server. Allows users on the Internet to connect to your local network using Windows Terminal Services.

If you elect to enable packet filtering, any existing packet filters that are currently in use will be disabled. Therefore, any custom filters within ISA Server will be disabled and you will have to go back and enable them manually after you complete the Small Business Server Internet Connection Wizard.

My Web Server and My Web-Based Mail Server are not available if you choose to connect to your ISP with a dial-up connection because ISA does not support publishing a Web server using a dial-up connection through a firewall.

Disable Packet Filtering. This option will disable all packet filtering on your ISA Server, effectively opening your machine to the Internet. It results in a highly insecure configuration and is not recommended.

Do not change packet filtering settings. If you have created your own packet filtering settings and do not want the Small Business Server Internet Connection Wizard to modify them, select this option. The wizard will skip this page and no changes will be made.


Scenario Baseline

This page shows components that must be installed before setup can continue. Click Next to install the component. For example, if Service Pack 1 is required, clicking Next will install Service Pack 1.

If you do not want to install the component, click Cancel to exit setup.


Retrieve Exchange Mail

If your ISP holds mail for you, your computer has to send a signal to your ISP's mail server telling it to download your mail to your Exchange 2000 Server. Contact your ISP to determine which type of signal is supported.

  • Send A Signal. Select this option to send a signal to your ISP to send your mail.
    • ETRN. ETRN is the basic signal method used by most ISPs. In most cases, it requires that your Small Business Server use a static IP address.
    • Issue Turn after Authentication (ATRN). This method allows you to use a dynamic IP address for your Small Business Server. Make sure your ISP supports this option.
    • Receive Mail From a Different Host. Some ISPs use different mail servers for sending and receiving mail. If your ISP has provided you a different server name for receiving mail, select this option and type the server name or IP address.
  • Do Not Send a Signal. Select this option if you do not want to send a signal to your ISP.


Mail Retrieval Frequency

Specify how often e-mail will be retrieved. You can specify the frequency for as often as you'd like to check your mail (for example, every four hours), down to the smallest interval of every 15 minutes.

The default setting for how frequently mail will be retrieved is every hour.


Edit POP3 Account

You can edit a POP3 account.

Login name. This is the name used to log on to the POP3 mailbox.

Password. This is the password that is associated with the POP3 mailbox.

Authentication. Specify the authentication type that is supported by the POP3 server.


Select POP3 Mailbox

This is a list of the currently configured POP3 mailboxes on your server. Exchange Server will download mail for these mailboxes. You can change the username, password and authentication type used by the mailbox at this time.

Mailing lists cannot be configured on this page. After completing the wizard, you can configure mailing lists using the POP3 Gateway snap-in.